webpackJsonp([0],{

/***/ 241:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Profile; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_native__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var Profile = (function () {
    function Profile(navCtrl, db, connectivityserve, navParams, imports, platform, alertCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.db = db;
        this.connectivityserve = connectivityserve;
        this.navParams = navParams;
        this.imports = imports;
        this.platform = platform;
        this.alertCtrl = alertCtrl;
        // private AdMobPro:AdMobPro 
        //  this.db.getAll().then(data=>this.persons= data);
        this.contactID = navParams.get("id");
        this.getPersonDetails();
        this.isOnline = connectivityserve.isOnline();
        this.platform.ready().then(function () {
            __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
                .then(function () {
                //   console.log('Google analytics is ready now');
                //the component is ready and you can call any method here
                __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].trackView(_this.job_title);
            })
                .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
        });
    }
    Profile.prototype.getPersonDetails = function () {
        var _this = this;
        this.db.GetContactById(this.contactID).then(function (data) {
            if (data.rows.length > 0) {
                //var fileExists = require('file-exists');
                var p = data.rows.item(0);
                // console.log(JSON.stringify(p));
                // console.log(fileExists('/index.html'))
                _this.name = p.name;
                _this.email = p.email;
                _this.address = p.address;
                _this.job_title = p.job_title;
                _this.image = p.image;
                _this.facebook = p.facebook;
                _this.twitter = p.twitter;
                _this.mobile = p.mobile;
                _this.alt_phone = p.alt_phone;
                _this.id = p.id;
                if (_this.image != 'small_img.png') {
                    _this.downloadFile(_this.image);
                }
                _this.image = 'assets/img/profile_photo/small_img.png';
            }
        });
    };
    Profile.prototype.downloadFile = function (imgfile) {
        var _this = this;
        __WEBPACK_IMPORTED_MODULE_4_ionic_native__["b" /* File */].checkFile(cordova.file.dataDirectory, imgfile).then(function (entry) {
            if (entry) {
                _this.image = cordova.file.dataDirectory + imgfile;
            }
            else {
                _this.downloadAndRetrive(imgfile);
            }
        }).catch(function (error) {
            _this.downloadAndRetrive(imgfile);
        });
    };
    Profile.prototype.downloadAndRetrive = function (imgfile) {
        var _this = this;
        var fileTransfer = new __WEBPACK_IMPORTED_MODULE_4_ionic_native__["i" /* Transfer */]();
        this.mypath = cordova.file.dataDirectory;
        var url = 'http://statediary.launchship.com/profile_photo/' + imgfile;
        fileTransfer.download(url, this.mypath + imgfile).then(function (entry) {
            _this.image = entry.toURL();
        }, function (error) {
            _this.image = "assets/img/profile_photo/small_img.png";
        });
    };
    //     retriveFiles(imgfile){
    //       File.checkFile(this.mypath, imgfile)
    //       .then(() => {
    //         const alertSuccess = this.alertCtrl.create({
    //           title: `File retrieval Succeeded!`,
    //           subTitle: `${imgfile} was successfully retrieved from: ${this.mypath}`,
    //           buttons: ['Ok']
    //         });
    //       //  return alertSuccess.present();
    //       })
    //       .catch((err) => {
    //         const alertFailure = this.alertCtrl.create({
    //           title: `File retrieval Failed!`,
    //           subTitle: `${imgfile} was not successfully retrieved. Error Code: ${err.code}`,
    //           buttons: ['Ok']
    //         });
    //       //  return alertFailure.present();
    //       });
    //     }
    Profile.prototype.getlink = function (lik) {
        window.location.href = lik;
    };
    Profile.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    Profile = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-profile',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/profile/profile.html"*/'  <ion-header>\n\n	<ion-navbar>\n\n		<button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n		 <ion-title style="width:250px;text-overflow:ellipsis;">PROFILE</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n	</ion-navbar>\n\n\n\n</ion-header>\n\n   <ion-content>\n\n   <ion-list>\n\n   <ion-item style="background-color:#ff6699;" >\n\n    \n\n\n\n     <!--*ngIf ="isOnline && image!="" ">-->\n\n <!--<img src="assets/img/profile_photo/small_img.png" *ngIf ="image==small_img.png"   style="width:120px;height:120px;top:0px;border-radius:50%;margin:0 auto;display:block;"/>--> \n\n <img  src="{{image}}"   style="width:120px;height:120px;top:0px;border-radius:50%;margin:0 auto;display:block;"/> \n\n<h2 style="color:#fff;text-align:center !important;margin-top:5%;margin-bottom:5%;font-weight:800;">{{name | uppercase  }}</h2>\n\n<h2 style="color:#fff;text-align:center !important;margin-top:2%;">{{job_title | uppercase  }}</h2>\n\n\n\n<!--<ion-icon name="logo-facebook" style="color:#fff;display:block !important;margin:0 auto !important;" item-center></ion-icon>\n\n<ion-icon name="logo-twitter" style="color:#fff;display:block !important;margin:0 auto !important;"  item-center></ion-icon>-->\n\n\n\n<ion-card-content style="display:block;text-align:center;width:100%;font-size:26px;">\n\n\n\n   <ion-icon name="logo-facebook" *ngIf=\'facebook !="" \' style="font-size:20px;margin:0 auto;color:#fff;" (click)="getlink(facebook)"></ion-icon>\n\n   <ion-icon name="logo-twitter" *ngIf=\'twitter !="" \' style="font-size:20px;margin:0 auto;color:#fff;padding:10px;" (click)="getlink(twitter)"></ion-icon>\n\n\n\n </ion-card-content>\n\n  </ion-item>\n\n    \n\n    <!--<ion-item style=" background-color:#4962d4 !important;min-height:50px;">\n\n    <ion-label style="color:#fff;border:none;text-align:center !important;display:block !important;margin:0 auto !important;background-color:#4962d4 !important;"> {{name}}</ion-label>\n\n   </ion-item>-->\n\n\n\n   \n\n   \n\n   <!--<ion-item style=" background-color:#4962d4 !important;min-height:50px;">\n\n   <ion-label style="color:#fff;text-align:center !important;display:block !important;margin:0 auto !important;background-color:#4962d4 !important;">{{job_title}}</ion-label>\n\n  </ion-item>-->\n\n<!--  \n\n	<ion-icon class="icon ion-social-facebook" style="color:#fff;" item-right></ion-icon>\n\n	<ion-icon class="icon ion-social-twitter" style="color:#fff;" item-right></ion-icon>-->\n\n  \n\n\n\n	<ion-item style="min-height:90px;">\n\n    <ion-label stacked>PERSONAL</ion-label>\n\n\n\n    <ion-label  *ngIf=\'mobile =="0" \'>N/A</ion-label>\n\n    <ion-label  *ngIf=\'mobile !="" && mobile !="0"  \'>{{mobile}}</ion-label>\n\n    <!--<ion-icon name="ios-phone-portrait" (click)="callIT(\'mobile\')" item-right  *ngIf=\'mobile !="" && mobile !="0"  \'></ion-icon>-->\n\n    \n\n       <p  *ngIf=\'mobile !="" && mobile !="0" \' item-right><a href="tel:+91{{mobile}}"><img src="assets/images/phone.png" /></a></p>\n\n    <!--<ion-label ng-show=\'phone == null\' >N/A</ion-label>-->\n\n       <!--<a href="tel:+91{{mobile}}" class="button button-positive">-->\n\n\n\n    </ion-item>\n\n  <ion-item style="min-height:90px;">\n\n    <ion-label stacked>WORK</ion-label>\n\n    <ion-label *ngIf="alt_phone ==\'null\' ">N/A</ion-label>\n\n    <ion-label  *ngIf=\'alt_phone =="" \'>N/A</ion-label>\n\n    <ion-label  *ngIf=\'alt_phone !="" && alt_phone !="null" \'>0{{alt_phone}}</ion-label>\n\n    <p  *ngIf=\'alt_phone !="" && alt_phone !="null" \' item-right><a href="tel:+0{{alt_phone}}"><img src="assets/images/landphone.png" /></a></p>\n\n  </ion-item>\n\n   <ion-item style="min-height:90px;">\n\n    <ion-label stacked>EMAIL</ion-label>\n\n    <ion-label *ngIf="email ==\'null\' ">N/A</ion-label>\n\n    <ion-label   *ngIf=\'email =="" \'>N/A</ion-label>\n\n    <ion-label  *ngIf=\'email !="" && email !="null" \'>{{email | uppercase}}</ion-label>\n\n    <p  *ngIf=\'email !="" && email !="null" \' item-right><a href="mailto:{{email}}"><img src="assets/images/email.png" /></a></p>\n\n  </ion-item>\n\n   <ion-item style="min-height:90px;">\n\n    <ion-label stacked>ADDRESS</ion-label>\n\n     \n\n    <ion-label  *ngIf=\'address =="" \'>N/A</ion-label>\n\n     <ion-label  *ngIf=\'address !="" && address !="null" \'>{{address | uppercase}}</ion-label>\n\n    <ion-icon name="ios-pin" item-right  *ngIf=\'address !="" && address !="null" \'></ion-icon>\n\n  </ion-item>\n\n  </ion-list>\n\n    </ion-content>\n\n    <ion-footer class="footer-bottom">\n\n     POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>\n\n <style>\n\n .online-img img{\n\nwidth:120px;height:120px;top:0px;border-radius:50%;margin-left:48px;display:block;\n\n }\n\n </style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/profile/profile.html"*/,
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_2__services_index__["a" /* ConnectivityService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__services_index__["c" /* ImportService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */]])
    ], Profile);
    return Profile;
}());
//# sourceMappingURL=profile.js.map

/***/ }),

/***/ 242:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Holidaytype; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__holidaydetails__ = __webpack_require__(510);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__home_home__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var Holidaytype = (function () {
    function Holidaytype(navCtrl, db) {
        this.navCtrl = navCtrl;
        this.db = db;
        this.holidaytype = [];
        this.getHolidayTypes();
    }
    Holidaytype.prototype.getHolidayTypes = function () {
        var _this = this;
        this.db.GetHolidayTypes().then(function (data) {
            if (data.rows.length > 0) {
                for (var i = 0; i < data.rows.length; i++) {
                    _this.holidaytype.push(data.rows.item(i));
                }
            }
        });
    };
    Holidaytype.prototype.getHolidayListbyTypeId = function (id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__holidaydetails__["a" /* Holidaydetails */], { id: id });
    };
    Holidaytype.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_4__home_home__["a" /* HomePage */]);
    };
    Holidaytype = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-holidaytype',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/calendar/holidaytype.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n   \n\n   	 <ion-title style="width:250px;text-overflow:ellipsis;">HOLIDAYS</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n\n\n  <ion-list>\n\n    <button ion-item *ngFor="let item of holidaytype" (click)="getHolidayListbyTypeId(item.id)" icon-left>\n\n      <!--<ion-icon  item-left></ion-icon>-->\n\n      {{ item.name | uppercase}} \n\n    </button>\n\n  </ion-list> \n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n    POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/calendar/holidaytype.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__services__["b" /* DatabaseServices */]])
    ], Holidaytype);
    return Holidaytype;
}());
//# sourceMappingURL=holidaytype.js.map

/***/ }),

/***/ 266:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 266;

/***/ }),

/***/ 31:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__databaseservices__ = __webpack_require__(504);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_0__databaseservices__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__importservices__ = __webpack_require__(676);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "c", function() { return __WEBPACK_IMPORTED_MODULE_1__importservices__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__connectivityservice__ = __webpack_require__(677);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_2__connectivityservice__["a"]; });



// export * from './ImgCacheService';
//export * from './loadingService'; 
//# sourceMappingURL=index.js.map

/***/ }),

/***/ 32:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__parent_parent__ = __webpack_require__(508);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__profile_profile__ = __webpack_require__(241);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__calendar_calendar__ = __webpack_require__(509);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__checkupdates_checkupdate__ = __webpack_require__(507);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__contents_contents__ = __webpack_require__(511);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__share_share__ = __webpack_require__(512);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_ionic_native__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__calendar_holidaytype__ = __webpack_require__(242);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};














var totalEvents = [];
var HomePage = (function () {
    function HomePage(navCtrl, db, imports, platform, popoverCtrl, customEvent, connectivityserve, loadingCtrl) {
        // alert(2);
        //this.platform = platform;
        var _this = this;
        this.navCtrl = navCtrl;
        this.db = db;
        this.imports = imports;
        this.platform = platform;
        this.popoverCtrl = popoverCtrl;
        this.customEvent = customEvent;
        this.connectivityserve = connectivityserve;
        this.loadingCtrl = loadingCtrl;
        this.eventSource = [];
        this.calendar = {
            mode: 'month',
            currentDate: new Date()
        };
        this.tab1Root = __WEBPACK_IMPORTED_MODULE_5__calendar_calendar__["a" /* Calendar */];
        this.tab2Root = __WEBPACK_IMPORTED_MODULE_5__calendar_calendar__["a" /* Calendar */];
        this.category = [];
        this.persons = [];
        this.queryText = "";
        this.slides = [];
        this.phbook = "kittens";
        this.flg = "";
        this.sdatanotfound = "";
        this.admin_events = [];
        this.isFirstTime = false;
        this.autoupdatedone = false;
        this.markDisabled = function (date) {
            var current = new Date();
            current.setHours(0, 0, 0);
            return date < current;
        };
        this.platform.ready().then(function () {
            _this.onPageDidEnter();
            _this.isOnline = connectivityserve.isOnline();
            _this.getCurrentVersion();
            _this.getLatestVersionfromServer();
            __WEBPACK_IMPORTED_MODULE_9_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
                .then(function () {
                console.log('Google analytics is ready now');
                //the component is ready and you can call any method here
                __WEBPACK_IMPORTED_MODULE_9_ionic_native__["c" /* GoogleAnalytics */].trackView('Homepage');
            })
                .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
        });
        //check for auto update
        this.platform.registerBackButtonAction(function () {
            // //   console.log('back button pressed')
            if (_this.navCtrl.getActive().component.name == "HomePage") {
                //     //this.nav.setRoot(HomePage)
                //     console.log(this.navCtrl.getActive().component.name);
                false;
            }
            else {
                //    // this.showConfirmExit()
                _this.navCtrl.pop();
            }
        }, 100);
        this.platform.registerBackButtonAction(function () {
            _this.platform.exitApp();
        });
    }
    HomePage.prototype.getCurrentVersion = function () {
        var _this = this;
        this.db.getLocalCurrentVersion().then(function (data) {
            if (data.rows.length > 0) {
                _this.currentVersion = data.rows.item(0).versionNumber;
                // this.currentVersion;
                // this.latestVersion =this.getLatestVersionfromServer();
                _this.crval = _this.currentVersion;
                //alert(this.crval);
                // console.log('============');
                //console.log(JSON.stringify(data.rows.item(0).versionNumber));
                _this.currentVersion;
            }
        });
    };
    ///get version from server;
    HomePage.prototype.getLatestVersionfromServer = function () {
        var _this = this;
        if (this.isOnline) {
            this.imports.getServerVersion().then(function (data) {
                //console.log(JSON.stringify(data));
                _this.latestVersion = _this.imports.ServerVersion;
                setTimeout(function () {
                    // //console.log(JSON.stringify(this.currentVersion) );
                    //  //console.log(JSON.stringify(this.latestVersion)); 
                    if ((_this.latestVersion != "") && (_this.currentVersion != "") && (_this.currentVersion != "0")) {
                        if (_this.latestVersion > _this.currentVersion) {
                            // this.autoupdatedone =true;
                            _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__checkupdates_checkupdate__["a" /* Checkupdate */], { id: "autoupdate" });
                        }
                    }
                }, 2000);
                //alert( this.latestVersion);
            });
        }
        else {
            this.latestVersion = "OOPS!!! No Internet Connectivity.";
        }
    };
    HomePage.prototype.ngOnInit = function () {
        // this.eventSource =Array.from(this.loadEvents()) ;
        // this.customEvent.events$.forEach(event => console.log(event));
        //   this.customEvent.events$.forEach(event => this.onEventAdded(event));
        //Get all events from DatabaseServices
        // this.db.getallevents().then((d)=>{
        // if(d.rows.length>0){
        //      for (var i = 0; i < d.rows.length; i++) {
        //         this.admin_events.push(d.rows.item(i));
        //        }
        //    // console.log(JSON.stringify( this.admin_events));
        // }
        //  } );
    };
    HomePage.prototype.onPageDidEnter = function () {
        this.getCurrentDBVersion();
        this.getParentCategory();
        this.getHomePageSlide();
    };
    HomePage.prototype.trackEvent = function () {
        __WEBPACK_IMPORTED_MODULE_9_ionic_native__["c" /* GoogleAnalytics */].trackEvent("HomePage", "HomePage-Open-Action", "Label", 1);
    };
    HomePage.prototype.getCurrentDBVersion = function () {
        var _this = this;
        this.db.getLocalCurrentVersion().then(function (data) {
            if (data.rows.length > 0) {
                _this.localdbVersion = data.rows.item(0).versionNumber;
                if (_this.localdbVersion == "0") {
                    _this.isFirstTime = true;
                    _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__checkupdates_checkupdate__["a" /* Checkupdate */], { id: "update" });
                }
            }
        });
    };
    HomePage.prototype.getParentCategory = function () {
        var _this = this;
        this.db.GetParentCategory().then(function (data) {
            _this.category = [];
            if (data.rows.length > 0) {
                for (var i = 0; i < data.rows.length; i++) {
                    _this.category.push(data.rows.item(i));
                }
            }
            else {
            }
        }).catch(function (d) { });
    };
    HomePage.prototype.itemTapped = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__parent_parent__["a" /* Parent */], { parentId: item });
    };
    HomePage.prototype.updateSchedule = function () {
        var _this = this;
        this.flg = "yes";
        if (this.queryText.trim() == '') {
            this.flg = "";
            this.sdatanotfound = "";
            this.persons = [];
            this.getParentCategory();
        }
        else {
            // this.db.searchByCategory(this.queryText).then((d) => {
            //   if (d.rows.length > 0) {
            //     this.category = [];
            //     for (var i = 0; i < d.rows.length; i++) {
            //       this.category.push(d.rows.item(i));
            //     }
            //   }
            // }).catch(d => { console.log("Category Error :: " + JSON.stringify(d)) });
            this.db.searchByContact(this.queryText).then(function (d) {
                if (d.rows.length > 0) {
                    _this.flg = "yes";
                    _this.sdatanotfound = "";
                    _this.persons = [];
                    for (var i = 0; i < d.rows.length; i++) {
                        _this.persons.push(d.rows.item(i));
                    }
                }
                else {
                    //this.flg="";
                    _this.sdatanotfound = "yes";
                }
            }).catch(function (d) { console.log("Contact Error :: " + JSON.stringify(d)); });
        }
    };
    HomePage.prototype.getHomePageSlide = function () {
        this.slides.push({ MediaUrl: 'banner1.jpg' });
        this.slides.push({ MediaUrl: 'banner2.jpg' });
        this.slides.push({ MediaUrl: 'banner3.jpg' });
    };
    HomePage.prototype.itemTappedContact = function (id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__profile_profile__["a" /* Profile */], { id: id });
    };
    HomePage.prototype.itemTappedcontents = function (id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__contents_contents__["a" /* Contents */], { id: id });
    };
    HomePage.prototype.openPage = function (page) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__calendar_calendar__["a" /* Calendar */]);
    };
    HomePage.prototype.GtRateus = function () {
        // this.navCtrl.setRoot(Share);
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__share_share__["a" /* Share */]);
    };
    HomePage.prototype.calendarOpen = function () {
        //this.navCtrl.setRoot(Calendar);
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__calendar_calendar__["a" /* Calendar */]);
    };
    HomePage.prototype.onViewTitleChanged = function (title) {
        this.viewTitle = title;
    };
    HomePage.prototype.onEventSelected = function (event) {
        console.log('Event selected:' + event.startTime + '-' + event.endTime + ',' + event.title);
    };
    HomePage.prototype.changeMode = function (mode) {
        this.calendar.mode = mode;
    };
    HomePage.prototype.today = function () {
        this.calendar.currentDate = new Date();
    };
    HomePage.prototype.onTimeSelected = function (ev) {
        console.log('Selected time: ' + ev.selectedTime + ', hasEvents: ' +
            (ev.events !== undefined && ev.events.length !== 0) + ', disabled: ' + ev.disabled);
        this.daySelected = ev.selectedTime;
    };
    HomePage.prototype.onCurrentDateChanged = function (event) {
        var today = new Date();
        today.setHours(0, 0, 0, 0);
        event.setHours(0, 0, 0, 0);
        this.isToday = today.getTime() === event.getTime();
        alert(today.getDay);
    };
    HomePage.prototype.reloadSource = function (ev) {
        console.log('end date' + ev.startTime + ' end ' + ev.endTime);
    };
    HomePage.prototype.loadEvents = function () {
        var events = [];
        this.db.GetHolidayList().then(function (data) {
            if (data.rows.length > 0) {
                for (var i = 0; i < data.rows.length; i++) {
                    var endDate = new Date(data[i].holiday_date);
                    endDate.setDate(endDate.getDate() + 1);
                    events.push({
                        title: data[i].name,
                        startTime: new Date(data[i].holiday_date),
                        endTime: endDate,
                        allDay: false
                    });
                }
            }
        });
        //  for (var i = 0; i < 50; i += 1) {
        //     var date = new Date();
        //     var eventType = Math.floor(Math.random() * 2);
        //     var startDay = Math.floor(Math.random() * 90) - 45;
        //     var endDay = Math.floor(Math.random() * 2) + startDay;
        //     var startTime;
        //     var endTime;
        //     if (eventType === 0) {
        //         startTime = new Date(Date.UTC(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate() + startDay));
        //         if (endDay === startDay) {
        //             endDay += 1;
        //         }
        //         endTime = new Date(Date.UTC(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate() + endDay));
        //         events.push({
        //             title: 'All Day - ' + i,
        //             startTime: startTime,
        //             endTime: endTime,
        //             allDay: true
        //         });
        //     } else {
        //         var startMinute = Math.floor(Math.random() * 24 * 60);
        //         var endMinute = Math.floor(Math.random() * 180) + startMinute;
        //         startTime = new Date(date.getFullYear(), date.getMonth(), date.getDate() + startDay, 0, date.getMinutes() + startMinute);
        //         endTime = new Date(date.getFullYear(), date.getMonth(), date.getDate() + endDay, 0, date.getMinutes() + endMinute);
        //         events.push({
        //             title: 'Event - ' + i,
        //             startTime: startTime,
        //             endTime: endTime,
        //             allDay: false
        //         });
        //     }
        // }
        // alert(JSON.stringify(events)) ;
        return events;
    };
    HomePage.prototype.onRangeChanged = function (ev) {
        console.log('range changed: startTime: ' + ev.startTime + ', endTime: ' + ev.endTime);
    };
    HomePage.prototype.getHolidayTypes = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_10__calendar_holidaytype__["a" /* Holidaytype */]);
    };
    HomePage.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(HomePage);
    };
    HomePage.prototype.whatsappShare = function () {
        __WEBPACK_IMPORTED_MODULE_9_ionic_native__["f" /* SocialSharing */].shareViaWhatsApp("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Image*/, "Link to the Play Store" /* url */)
            .then(function () {
            // alert("Success");
        }, function () {
            // alert("failed")
        });
    };
    HomePage.prototype.twitterShare = function () {
        __WEBPACK_IMPORTED_MODULE_9_ionic_native__["f" /* SocialSharing */].shareViaTwitter("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Image*/, "Link to the Play Store")
            .then(function () {
            // alert("Success");
        }, function () {
            //alert("failed")
        });
    };
    HomePage.prototype.facebookShare = function () {
        __WEBPACK_IMPORTED_MODULE_9_ionic_native__["f" /* SocialSharing */].shareViaFacebook("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Image*/, "Link to the Play Store")
            .then(function () {
            //alert("Success");
        }, function () {
            //alert("failed")
        });
    };
    HomePage.prototype.otherShare = function () {
        __WEBPACK_IMPORTED_MODULE_9_ionic_native__["f" /* SocialSharing */].share("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Subject*/, null /*File*/, "Link to the Play Store")
            .then(function () {
            //alert("Success");
        }, function () {
            //alert("failed")
        });
    };
    HomePage.prototype.onEventAdded = function (event) {
        // this.eventSource.push(event);
        //  this.eventSource =Array.from(this.eventSource);
        console.log(this.eventSource);
        this.eventSource.push(event);
        this.eventSource = Array.from(this.eventSource);
    };
    HomePage.prototype.addEvent = function (myEvent) {
        //this.loadEvents();
        var popover = this.popoverCtrl.create(__WEBPACK_IMPORTED_MODULE_5__calendar_calendar__["c" /* PopoverPage */]);
        popover.present();
        // this.eventSource.push({"title":"All Day - 0","startTime":this.daySelected,"endTime":this.daySelected,"allDay":true});
        //    this.eventSource =Array.from(this.eventSource);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_15" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */]), 
        __metadata('design:type', __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */])
    ], HomePage.prototype, "nav", void 0);
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/home/home.html"*/'<ion-header >\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n     <!--<ion-icon name="calendar" style="float:right;color:#fff;font-size:2.4em;" (click)="openPage(Calendar)"></ion-icon>-->\n    <ion-title>TRS DIARY</ion-title>\n   \n\n  </ion-navbar>\n  \n  <!--<ion-navbar *navbar> \n        <button ion-button block (click)="getRepos()">Search</button>\n  </ion-navbar> -->\n</ion-header>\n\n\n<ion-content>\n \n  <!--<ion-slides  autoplay=5000 loop=true style="height:180px; width:100%;" *ngIf=\'flg ==""\' >\n\n    <ion-slide *ngFor="let slide of slides; let i = index">\n      <img src="assets/images/banner{{i+1}}.jpg" style="border:2px solid #ccc;">\n    </ion-slide>\n  </ion-slides>-->\n\n \n\n<div [ngSwitch]="phbook" >\n\n\n  <ion-list *ngSwitchCase="\'kittens\'">\n  <ion-searchbar [(ngModel)]="queryText" (ionInput)="updateSchedule()" placeholder="Search">\n    </ion-searchbar>\n      <ion-list *ngIf=\'sdatanotfound =="" \'> \n    <button ion-item *ngFor="let item of persons" (click)="itemTappedContact(item.id)" icon-left >\n       <!--<ion-avatar item-left><img src="assets/img/profile_photo/default_officer.png"/></ion-avatar>-->\n       <h2 style="font-size:14px !important;">{{item.name | uppercase }}</h2>\n        <p style="margin-left:-60px;font-size:10px !important;">{{ item.job_title | uppercase}}</p>\n    \n    </button>\n  </ion-list>\n  <ion-list *ngIf=\'sdatanotfound =="yes" \'> \n    <ion-label style="text-align:center;font-weight:600;">RESULT NOT FOUND!!!</ion-label>\n  </ion-list>\n<ion-row wrap  *ngIf=\'flg =="" \'>\n  <ion-col width-33  *ngFor="let item of category" (click)="itemTapped(item.id)"  >\n      <!--<img src="slide.MediaUrl">-->\n        <img src="assets/images/{{item.image}}">\n        <ion-label style="text-align:center;font-size:12px !important;">{{ item.name | uppercase}}</ion-label>\n  </ion-col>\n</ion-row>\n  \n  </ion-list>\n\n    <ion-list *ngSwitchCase="\'puppies\'">\n    <ion-searchbar [(ngModel)]="queryText" (ionInput)="updateSchedule()" placeholder="Search">\n    </ion-searchbar>\n    <!--<ion-list *ngIf=\'sdatanotfound =="" \'> -->\n    <!--<button ion-item *ngFor="let item of persons" (click)="itemTappedContact(item.id)" icon-left >\n       <ion-avatar><img src="assets/img/profile_photo/default_officer.png"/></ion-avatar>\n       <h2 style="margin-left:30px;margin-top:-20px;">{{ item.name }}</h2>\n       <p> {{ item.job_title }}</p>\n    </button>-->\n  <!--<button ion-item *ngFor="let item of persons" (click)="itemTappedContact(item.id)" icon-left >\n    <ion-avatar item-left>\n      <img src="assets/img/profile_photo/default_officer.png">\n    </ion-avatar>\n    <h2>{{ item.name }}</h2>\n    <p style="margin-left:-60px !important;">{{ item.job_title }}</p>\n  </button>\n  </ion-list>-->\n<ion-list *ngIf=\'sdatanotfound =="" \'> \n    <button ion-item *ngFor="let item of persons" (click)="itemTappedContact(item.id)" icon-left >\n      <!--<ion-avatar item-left><img src="assets/img/profile_photo/default_officer.png"/></ion-avatar>-->\n       <h2 style="font-size:14px !important;">{{ item.name | uppercase}}</h2>\n        <p style="margin-left:-60px;font-size:10px !important;">{{ item.job_title | uppercase}}</p>\n    </button>\n  </ion-list>\n\n\n\n  <ion-list *ngIf=\'sdatanotfound =="yes" \' > \n   <ion-label style="text-align:center;font-weight:600;">RESULT NOT FOUND!!!</ion-label>\n   \n  </ion-list>\n\n <!--<ion-list  *ngIf=\'sdatanotfound =="yes" \'> \n    <button ion-item *ngFor="let item of persons" (click)="itemTappedContact(item.id)" icon-left>\n      Item not found!!!\n    </button>\n  </ion-list>-->\n\n\n      <ion-row wrap *ngIf=\'flg =="" \'>\n     <ion-col width-33>   \n        <img src="assets/images/about_icon.jpg" (click)="itemTappedcontents(9)">\n    \n      <ion-label style="text-align:center;font-size:12px !important;">ABOUT</ion-label>\n  </ion-col>\n   <ion-col width-33>   \n        <img src="assets/images/important days_icon.jpg" (click)="itemTappedcontents(10)">\n    \n      <ion-label style="text-align:center;font-size:12px !important;">IMPORTANT DAYS</ion-label>\n  </ion-col>\n   <ion-col width-33>   \n        <img src="assets/images/assembly.jpg" (click)="itemTappedcontents(11)">\n    \n      <ion-label style="text-align:center;font-size:12px !important;"> ASSEMBLY CONSTITUENCIES</ion-label>\n  </ion-col>\n   <ion-col width-33>   \n        <img src="assets/images/telangana history_icon.jpg" (click)="itemTappedcontents(12)">\n    \n      <ion-label style="text-align:center;font-size:12px !important;">TELANGANA HISTORY</ion-label>\n  </ion-col>\n   <ion-col width-33>   \n        <img src="assets/images/tourism_icon.jpg" (click)="itemTappedcontents(13)">\n    \n      <ion-label style="text-align:center;font-size:12px !important;">TOURISM</ion-label>\n  </ion-col>\n  \n  </ion-row>\n  </ion-list>\n  <ion-list *ngSwitchCase="\'rates\'">\n         <h3 style="font-size:1.0em;text-align: center;"> SHARE WITH YOUR FRIENDS ON SOCIAL MEDIA</h3>\n <ion-row wrap padding>\n     <ion-col width-33 style="text-align: center;color:#19a004;"><ion-icon name="logo-whatsapp" (click)="whatsappShare()" style="font-size:60px;"></ion-icon></ion-col>\n     <ion-col width-33 style="text-align: center;color: #30c7ff;"><ion-icon name="logo-twitter" (click)="twitterShare()"      style="font-size: 60px;"></ion-icon></ion-col>\n     <ion-col width-33 style="text-align: center;color: #076082;"><ion-icon name="logo-facebook" (click)="facebookShare()" style="font-size: 60px;"></ion-icon></ion-col>\n</ion-row>   \n  <ion-row wrap>\n     <ion-col width-33 style="text-align: center;"><ion-icon name="apps" (click)="otherShare()" style="font-size:60px;"></ion-icon></ion-col>\n </ion-row>\n  </ion-list>\n  <ion-list *ngSwitchCase="\'calendar\'">\n\n <button ion-button block (click)="getHolidayTypes()" class="pinkbg"> HOLIDAYS </button>\n  <!--<ion-icon name="add" (click)="addEvent($event)"></ion-icon>-->\n      <calendar [eventSource]="eventSource"\n        [calendarMode]="calendar.mode"\n        [currentDate]="calendar.currentDate" \n        (onCurrectDateChanged)="onCurrentDateChanged($event)" \n        (onRangeChanged)="onRangeChanged($event)"\n        (onEventSelected)="onEventSelected($event)"\n        (onTitleChanged)="onViewTitleChanged($event)"\n        (onTimeSelected)="onTimeSelected($event)"\n        step="30">\n      </calendar>\n  </ion-list>\n</div>\n\n  <!--<ion-list> \n    <button ion-item *ngFor="let item of category" (click)="itemTapped(item.id)" icon-left>\n      <img [src]=item.image />      \n      {{ item.name }}\n    </button>\n  </ion-list>-->\n\n  <!--<ion-card *ngFor="let item of category"  >\n  <ion-card-header (click)="itemTapped(item.id)">\n  {{item.id}}\n  {{item.name}}\n  </ion-card-header>\n</ion-card>-->\n  <!--<p>\n    local v.{{localdbVersion}}\n  </p>-->\n   <!--<ion-tabs>\n    <ion-tab [root]="tab1Root" tabTitle="Contact" tabIcon="contacts"></ion-tab>\n    <ion-tab [root]="tab2Root" tabTitle="Contact" tabIcon="home"></ion-tab>\n  </ion-tabs>-->\n</ion-content>\n<ion-footer class="footer-bottom">\n  <div *ngIf=\'flg =="" \'>\n  <ion-segment [(ngModel)]="phbook">\n    <ion-segment-button value="kittens">\n      <ion-icon name="book" class="pbook"></ion-icon>\n    </ion-segment-button>\n    <ion-segment-button value="puppies">\n      <ion-icon name="information-circle" class="tinfo"></ion-icon>\n      <!--  T-Info -->\n    </ion-segment-button>\n     <ion-segment-button value="rates">\n     <ion-icon name="people" class="rtf"></ion-icon>\n      <!-- Refer to Friend -->\n    </ion-segment-button>\n     <ion-segment-button value="calendar">\n       <ion-icon name="calendar" class="cal"></ion-icon>\n      <!-- Calendar  -->\n    </ion-segment-button>\n  </ion-segment>\n</div>\n</ion-footer>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/home/home.html"*/,
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_2__services_index__["c" /* ImportService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* PopoverController */], __WEBPACK_IMPORTED_MODULE_5__calendar_calendar__["b" /* CreateEvent */], __WEBPACK_IMPORTED_MODULE_2__services_index__["a" /* ConnectivityService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* LoadingController */]])
    ], HomePage);
    return HomePage;
}());
//# sourceMappingURL=home.js.map

/***/ }),

/***/ 504:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DatabaseServices; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_native__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var DB_NAME = 'data_final_25.db';
var DB_LOCATION = "default";
var win = window;
var DatabaseServices = (function () {
    // sqlInsertCategories: string ='insert into categories(id,name,parent_id,image,inactive) select ?,?,?,?,?  where not exists(select 1 from categories where id=?)';
    function DatabaseServices() {
        this.db = null;
        if (win.sqlitePlugin) {
            // User native sqlite
            this.db = new __WEBPACK_IMPORTED_MODULE_1_ionic_native__["e" /* SQLite */]();
        } //
        else {
        }
        // this.db.openDatabase({
        //     name: DB_NAME,
        //     location: DB_LOCATION,
        //     createFromLocation: 1,
        //     existingDatabase: true
        // })
        // this.openDatabase();
        //this.db = win.SQLite.openDatabase({name: "my.db"});
        //this.db = win.openDatabase("data_final_25.db", '1', 'my', 1024 * 1024 * 100);
        //  this.db = new SQLite();  
        // browser
    }
    DatabaseServices.prototype.openDatabase = function () {
        console.log(this.db);
        return this.db.openDatabase({
            name: DB_NAME,
            location: DB_LOCATION,
            createFromLocation: 1,
            existingDatabase: false
        }).then(function (data) {
            //console.log(data);
            //this.isDbopen:true;
        }, function (error) { alert(JSON.stringify(error)); });
    };
    DatabaseServices.prototype.createTable = function () {
        var _this = this;
        var sql = "select * from sqlite_master where type='table' and name='contacts'";
        return this.db.executeSql(sql, []).then(function (data) {
            if (data.rows.length <= 0) {
                sql = 'CREATE TABLE IF NOT EXISTS contacts (id INTEGER PRIMARY KEY, name TEXT,email TEXT,phone TEXT,address TEXT,job_title TEXT,image TEXT,facebook TEXT,twitter TEXT,mobile TEXT,alt_phone TEXT,district_id INTEGER,constituency_id int, category_data Text, party_id int,inactive Text,status Text)';
                _this.db.executeSql(sql, []);
                sql = 'CREATE TABLE IF NOT EXISTS categories (id INTEGER PRIMARY KEY, name TEXT,parent_id INTEGER,image TEXT,inactive TEXT,orderid int)';
                _this.db.executeSql(sql, []);
                sql = 'CREATE TABLE IF NOT EXISTS contents(id INTEGER,content TEXT,category_id INTEGER,Inactive TEXT,title TEXT)';
                _this.db.executeSql(sql, []);
                sql = 'create table if not exists holiday_types(id INTEGER, name text, inactive int)';
                _this.db.executeSql(sql, []);
                sql = 'CREATE TABLE IF NOT EXISTS holidays(id INTEGER,name text,holiday_date date,holiday_type_id int,inactive int)';
                _this.db.executeSql(sql, []);
                sql = 'CREATE TABLE IF NOT EXISTS Versions(id INTEGER PRIMARY KEY AUTOINCREMENT, versionNumber Text,type text,serverVersion text)';
                _this.db.executeSql(sql, []);
                sql = 'CREATE TABLE IF NOT EXISTS associatetable(id integer,contact_id int,category_id int)';
                _this.db.executeSql(sql, []);
                sql = 'CREATE TABLE IF NOT EXISTS events(id integer,event_name TEXT, description TEXT,event_date TEXT,inactive int)';
                _this.db.executeSql(sql, []);
                _this.createData();
            }
        });
    };
    DatabaseServices.prototype.insertintoVersion = function (versionNumber, type, serverVersion) {
        var sql = 'insert into Versions(versionNumber,type,serverVersion) VALUES(?,?,?)';
        console.log(versionNumber + " :: " + type + " :: " + serverVersion);
        this.db.executeSql(sql, [versionNumber, type, serverVersion]);
    };
    DatabaseServices.prototype.truncatedb = function () {
        var sql = 'delete from contacts';
        this.db.executeSql(sql, []);
        sql = 'delete from categories';
        this.db.executeSql(sql, []);
        sql = 'delete from holidays';
        this.db.executeSql(sql, []);
        sql = 'delete from associatetable';
        this.db.executeSql(sql, []);
        sql = 'delete from Versions where id>1';
        this.db.executeSql(sql, []);
    };
    DatabaseServices.prototype.createData = function () {
        var sql = 'insert into Versions(versionNumber,type,serverVersion) VALUES(?,?,?)';
        this.db.executeSql(sql, ['0', 'contacts', '0']);
        this.db.executeSql(sql, ['0', 'categories', '0']);
        this.db.executeSql(sql, ['0', 'associatetable', '0']);
        sql = 'insert into holiday_types(id,name,inactive) values(?,?,?)';
        this.db.executeSql(sql, [3, 'General holidays', 0]);
        this.db.executeSql(sql, [4, 'Optional holidays', 0]);
    };
    DatabaseServices.prototype.getLocalCurrentVersion = function () {
        return this.db.executeSql("select versionNumber,type,serverVersion from Versions order by id desc LIMIT 1", []);
    };
    DatabaseServices.prototype.getLocalCurrentVersions = function () {
        return this.db.executeSql("select * from Versions", []);
    };
    DatabaseServices.prototype.Insert = function (person) {
        var sql = 'INSERT INTO contacts(name, email,phone) VALUES (?,?,?)';
        return this.db.executeSql(sql, [person.name, person.email, person.phone]);
    };
    DatabaseServices.prototype.GetParentCategory = function () {
        var sql = 'SELECT id,name,image,orderid FROM categories where parent_id=0 and id<>983 and Inactive="0" order by orderid asc';
        // let sql = 'SELECT id,name,image FROM  `categories` WHERE `parent_id`=0 and parent_id <>17 and status!="deleted"';
        return this.db.executeSql(sql, []);
    };
    DatabaseServices.prototype.GetParentCategoryById = function (id) {
        var sql = 'SELECT * FROM categories where id=?';
        return this.db.executeSql(sql, [id]);
    };
    DatabaseServices.prototype.GetCategoryByParentId = function (id) {
        var sql = 'SELECT * FROM categories where parent_id=? and Inactive="0" order by orderid asc ';
        return this.db.executeSql(sql, [id]);
    };
    DatabaseServices.prototype.GetContactByCategoryId = function (id, start) {
        // alert(1);
        // console.log(id);
        // let sql = 'SELECT * from categories';// limit '+start+',20';
        // alert(sql);
        // let sql= 'SELECT C.id,C.name,C.job_title,A.contact_id,A.category_id FROM contacts  As C left join associatetable as A on C.id=A.contact_id where A.category_id=?';
        //let sql='SELECT contacts.name as name,contacts.id as id,mobile,job_title,categories.name as catname,contacts.orderid as orderid FROM associatetable left join categories on categories.id = associatetable.category_id LEFT join contacts on contacts.id =  associatetable.contact_id where categories.id = ?';
        var sql = 'SELECT  C.id,C.name,C.job_title,A.contact_id,A.category_id FROM contacts  As C left join associatetable as A on C.id=A.contact_id where A.category_id=?';
        //let sql ='select c.id as contactid,ca.id as categoyid ,c.name,c.job_title,c.email,c.mobile,c.phone,c.facebook,c.twitter,c.image FROM associatetable as A LEFT JOIN contacts as c on c.id = A.contact_id LEFT JOIN categories as ca on ca.id = A.category_id WHERE ca.id = ? and A.Inactive ="0"  ORDER by A.orderid';
        // let sql= 'SELECT C.id,C.name,C.job_title,A.contact_id,A.category_id,CA.id FROM associatetable as A  left join contacts as C on C.id=A.contact_id  left join categories as CA on CA.id=A.category_id where A.category_id=?';
        //let sql ='SELECT C.id,C.name,C.job_title,A.contact_id,A.category_id,CA.id FROM contatcs as CA right join associatetable as A on CA.id=A.category_id  where A.category_id=?';
        // alert(sql);
        // console.log(sql);
        // alert(JSON.stringify(this.db.executeSql(sql,[id])));
        return this.db.executeSql(sql, [id]);
    };
    DatabaseServices.prototype.GetContactById = function (id) {
        var sql = 'SELECT name,email,phone,address,job_title,image,facebook,twitter,mobile,alt_phone,id FROM contacts where id=?';
        return this.db.executeSql(sql, [id]);
    };
    ////getting holiday types
    DatabaseServices.prototype.GetHolidayTypes = function () {
        var sql = 'SELECT * FROM holiday_types';
        return this.db.executeSql(sql, []);
    };
    DatabaseServices.prototype.searchByContact = function (id) {
        var sql = "select name,id,job_title from contacts where name like '%" + id + "%' or job_title like '%" + id + "%' or mobile like '%" + id + "%' limit 50";
        //console.log(sql);
        return this.db.executeSql(sql, []);
    };
    DatabaseServices.prototype.searchByContactByCategoryID = function (serch, cat_id) {
        // console.log(cat_id);
        var sql = "SELECT C.id,C.name,C.job_title,C.email FROM contacts  As C inner join associatetable as A  on C.id=A.contact_id where A.category_id=? and ( C.name like '%" + serch + "%' or C.mobile like '%" + serch + "%') limit 40"; //or C.job_title like '%"+serch+"%'
        // let sql = "select name,id,job_title from contacts where category_id =? and ( name like '%"+id+"%' or job_title like '%"+id+"%') limit 10"
        // console.log(sql);
        return this.db.executeSql(sql, [cat_id]);
    };
    DatabaseServices.prototype.searchByCategory = function (id) {
        var sql = "select name,id from categories where name like  '%" + id + "%' limit 50";
        return this.db.executeSql(sql, [id]);
    };
    DatabaseServices.prototype.GetHolidayTypeTitleByID = function (id) {
        var sql = 'SELECT name FROM holiday_types where id=?';
        return this.db.executeSql(sql, [id]);
    };
    DatabaseServices.prototype.GetpageContentByID = function (id) {
        var sql = 'SELECT * FROM contents where id=?';
        return this.db.executeSql(sql, [id]);
    };
    ////getting holiday list by holiday for the year for the holidaytypeid
    DatabaseServices.prototype.GetHolidayByTypeId = function (id) {
        var sql = "SELECT * from holidays where  holiday_type_id=?";
        return this.db.executeSql(sql, [id]);
    };
    DatabaseServices.prototype.GetHolidayList = function () {
        var sql = "SELECT * from holidays";
        return this.db.executeSql(sql, []);
    };
    DatabaseServices.prototype.getallevents = function () {
        var sql = "SELECT * from events";
        return this.db.executeSql(sql, []);
    };
    DatabaseServices.prototype.insertUpdateDeleteContact = function (c, version) {
        // console.log('Contacts');
        // console.log('=====');
        // console.log(c.length);
        // console.log(version);
        if (c.length > 0) {
            var sql = 'insert  into contacts(id,name,email,phone,address,job_title,image,facebook,twitter,mobile,alt_phone,district_id,constituency_id,inactive,status) VALUES ';
            var sqlUpdate = 'update contacts set name=?,email=?,phone=?,address=?,job_title=?,image=?,facebook=?,twitter=?,mobile=?,alt_phone=?,district_id=?,constituency_id=?,inactive=?,status=? where id=?';
            var sqlDelete = 'delete from contacts where id=?';
            var sqlold = 'insert  into contacts(id,name,email,phone,address,job_title,image,facebook,twitter,mobile,alt_phone,district_id,constituency_id,inactive,status) VALUES ';
            for (var i = 0; i < c.length; i++) {
                if (version == "0") {
                    sql = sql + '(' + c[i].id + ',"' + c[i].name + '","' + c[i].E + '","' + c[i].P + '","' + c[i].A + '","' + c[i].J + '","' + c[i].I + '","' + c[i].F + '","' + c[i].T + '","' + c[i].M + '","' + c[i].AP + '",' + c[i].DI + ',' + c[i].CI + ',"' + c[i].IA + '","' + c[i].S + '")';
                    if (i < c.length - 1) {
                        sql = sql + ',';
                    }
                }
                else if (c[i].S == 'new' && version != "0") {
                    sqlold = sqlold + '(' + c[i].id + ',"' + c[i].name + '","' + c[i].E + '","' + c[i].P + '","' + c[i].A + '","' + c[i].J + '","' + c[i].I + '","' + c[i].F + '","' + c[i].T + '","' + c[i].M + '","' + c[i].AP + '",' + c[i].DI + ',' + c[i].CI + ',"' + c[i].IA + '","' + c[i].S + '")';
                    if (i < c.length - 1) {
                        sqlold = sqlold + ',';
                    }
                }
                else if (c[i].S == 'updated') {
                    this.db.executeSql(sqlUpdate, [c[i].name, c[i].E, c[i].P, c[i].A, c[i].J, c[i].I, c[i].F, c[i].T, c[i].M, c[i].AP, c[i].DI, c[i].CI, c[i].IA, c[i].S, c[i].id]);
                }
                else if (c[i].S == 'deleted') {
                    this.db.executeSql(sqlDelete, [c[i].id]);
                }
            }
            if (version == '0') {
                this.db.executeSql(sql, []).then(function (d) { console.log("success" + JSON.stringify(d)); });
            }
            if (sqlold != 'insert  into contacts(id,name,email,phone,address,job_title,image,facebook,twitter,mobile,alt_phone,district_id,constituency_id,inactive,status) VALUES ') {
                this.db.executeSql(sqlold, []).then(function (d) { console.log("success" + JSON.stringify(d)); });
            }
        }
    };
    DatabaseServices.prototype.insertUpdateDeleteCategories = function (c, version) {
        // console.log('categories');
        // console.log('=====');
        // console.log(c.length);
        // console.log(version);
        if (c.length > 0) {
            var sql = 'insert into categories(id,name,parent_id,image,inactive,orderid) ';
            var sqlUpdate = 'update categories set name = ?, parent_id = ?, image = ?, inactive = ? where id = ?';
            var sqlDelete = 'delete from categories where id = ?';
            var sqlold = 'insert into categories(id,name,parent_id,image,inactive,orderid) ';
            var selectclause = ' select ';
            for (var i = 0; i < c.length; i++) {
                if (i > 0) {
                    selectclause = ' Union select ';
                }
                if (version == "0") {
                    sql = sql + ' ' + selectclause + c[i].id + ',"' + c[i].name + '",' + c[i].PI + ',"' + c[i].image + '","' + c[i].I + '",' + c[i].OD + ' ';
                }
                else if (c[i].S == 'new' && version != "0") {
                    sqlold = sqlold + ' ' + selectclause + c[i].id + ',"' + c[i].name + '",' + c[i].PI + ',"' + c[i].image + '","' + c[i].I + '",' + c[i].OD + '  ';
                }
                else if (c[i].S == 'updated') {
                    this.db.executeSql(sqlUpdate, [c[i].name, c[i].PI, c[i].image, c[i].I, c.id]).then(function (d) { console.log("success" + JSON.stringify(d)); });
                }
                else if (c[i].S == 'deleted') {
                    this.db.executeSql(sqlDelete, [c[i].id]);
                }
            }
            if (version == '0') {
                this.db.executeSql(sql, []).then(function (d) { console.log("success" + JSON.stringify(d)); });
            }
            if (sqlold != 'insert into categories(id,name,parent_id,image,inactive,orderid) ') {
                this.db.executeSql(sqlold, []).then(function (d) { console.log("success" + JSON.stringify(d)); });
            }
        }
    };
    DatabaseServices.prototype.insertUpdateDeleteHolidays = function (c, version) {
        // console.log('Associatio');
        //     console.log('=====');
        //     console.log(c.length);
        //     console.log(version);
        if (c.length > 0) {
            var sql = 'insert into holidays(id,name,holiday_date,holiday_type_id,inactive) VALUES ';
            var sqlUpdate = 'update holidays set name=?,holiday_date=?,holiday_type_id=?,inactive=? where id=?';
            var sqlDelete = 'delete from holidays where id =?';
            var sqlold = 'insert into holidays(id,name,holiday_date,holiday_type_id,inactive) VALUES ';
            for (var i = 0; i < c.length; i++) {
                if (version == "0") {
                    sql = sql + '(' + c[i].id + ',"' + c[i].name + '","' + c[i].hd + '","' + c[i].ht + '","' + c[i].I + '")';
                    if (i < c.length - 1) {
                        sql = sql + ',';
                    }
                }
                else if (c[i].S == 'new' && version != "0") {
                    sqlold = sqlold + '(' + c[i].id + ',"' + c[i].name + '","' + c[i].hd + '","' + c[i].ht + '","' + c[i].I + '")';
                    if (i < c.length - 1) {
                        sqlold = sqlold + ',';
                    }
                }
                else if (c[i].S == 'updated') {
                    this.db.executeSql(sqlUpdate, [c[i].name, c[i].hd, c[i].ht, c[i].I, c[i].id]);
                }
                else if (c[i].S == 'deleted') {
                    this.db.executeSql(sqlDelete, [c[i].id]);
                }
            }
            if (version == '0') {
                this.db.executeSql(sql, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Events" + JSON.stringify(d)); });
            }
            if (sqlold != 'insert into holidays(id,name,holiday_date,holiday_type_id,inactive) VALUES ') {
                this.db.executeSql(sqlold, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Events" + JSON.stringify(d)); });
            }
        }
    };
    DatabaseServices.prototype.insertUpdateAssociation = function (c, version) {
        //    console.log('Associatio');
        //    console.log('=====');
        //    console.log(c.length);
        //    console.log(version);
        if (c.length > 0) {
            var sql = 'insert into associatetable(id,contact_id,category_id) VALUES ';
            var sqlUpdate = 'update associatetable set contact_id=?,category_id=? where id=?';
            var sqlDelete = 'delete from associatetable where id=?';
            var sqlold = 'insert into associatetable(id,contact_id,category_id) VALUES ';
            for (var i = 0; i < c.length; i++) {
                if (version == "0") {
                    sql = sql + '(' + c[i].id + ',' + c[i].C + ',' + c[i].CA + ')';
                    if (i < c.length - 1) {
                        sql = sql + ',';
                    }
                }
                else if (c[i].S == 'new' && version != "0") {
                    sqlold = sqlold + ' (' + c[i].id + ',' + c[i].C + ',' + c[i].CA + ')';
                    if (i < c.length - 1) {
                        sqlold = sqlold + ',';
                    }
                }
                else if (c[i].S == 'updated') {
                    this.db.executeSql(sqlUpdate, [c[i].C, c[i].CA, c[i].id]);
                }
                else if (c[i].S == 'deleted') {
                    var sqlsuc = 'SELECT id FROM associatetable where id=?';
                    var suc = this.db.executeSql(sqlsuc, [c[i].id]);
                    if (suc) {
                        this.db.executeSql(sqlDelete, [c[i].id]);
                    }
                }
            }
            //  console.log(sql);
            if (version == '0') {
                this.db.executeSql(sql, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Associate " + JSON.stringify(d)); }); //,(data) =>{console.log(JSON.stringify(data))},        (error)=>{console.log(JSON.stringify(error))}
            }
            if (sqlold != 'insert into associatetable(id,contact_id,category_id) VALUES ') {
                this.db.executeSql(sqlold, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Associate " + JSON.stringify(d)); }); //,(data) =>{console.log(JSON.stringify(data))},        (error)=>{console.log(JSON.stringify(error))}
            }
        }
    };
    DatabaseServices.prototype.insertUpdateContents = function (c, version) {
        console.log('Contents');
        console.log('=====');
        console.log(c.length);
        console.log(version);
        if (c.length > 0) {
            var sql = 'insert into contents(id,content,category_id,Inactive,title) VALUES (?,?,?,?,?) ';
            var sqlUpdate = 'update contents set content=?,category_id=?,Inactive=?,title=? where id=?';
            var sqlold = 'insert into contents(id,content,category_id,Inactive,title) VALUES (?,?,?,?,?) ';
            var sqlDelete = 'delete from contents where id=?';
            for (var i = 0; i < c.length; i++) {
                if (version == "0") {
                    this.db.executeSql(sql, [c[i].id, c[i].C, c[i].CI, c[i].I, c[i].T]).catch(function (d) { alert("Category failed" + JSON.stringify(d)); });
                }
                else if (c[i].S == 'new' && version != "0") {
                    this.db.executeSql(sql, [c[i].id, c[i].C, c[i].CI, c[i].I, c[i].T]).catch(function (d) { alert("Category failed" + JSON.stringify(d)); });
                }
                else if (c[i].S == 'updated') {
                    this.db.executeSql(sqlUpdate, [c[i].C, c[i].CI, c[i].I, c[i].T, c[i].id]);
                }
                else if (c[i].S == 'deleted') {
                    this.db.executeSql(sqlDelete, [c[i].id]);
                }
            }
            if (version == '0') {
                this.db.executeSql(sql, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Contents " + JSON.stringify(d)); }); //,(data) =>{console.log(JSON.stringify(data))},        (error)=>{console.log(JSON.stringify(error))}
            }
            if (sqlold != 'insert into contents(id,content,category_id,Inactive,title) VALUES (?,?,?,?,?) ') {
                this.db.executeSql(sqlold, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Contents " + JSON.stringify(d)); }); //,(data) =>{console.log(JSON.stringify(data))},        (error)=>{console.log(JSON.stringify(error))}
            }
        }
    };
    DatabaseServices.prototype.insertUpdateDeleteEvents = function (c, version) {
        if (c.length > 0) {
            var sql = 'insert into events(id,event_name,description,event_date,inactive) VALUES ';
            var sqlUpdate = 'update events set event_name=?,description=?,event_date=?,inactive=? where id=?';
            var sqlDelete = 'delete from events where id =?';
            var sqlold = 'insert into events(id,event_name,description,event_date,inactive) VALUES ';
            for (var i = 0; i < c.length; i++) {
                if (version == "0") {
                    sql = sql + '(' + c[i].id + ',"' + c[i].event_name + '","' + c[i].description + '","' + c[i].event_date + '","' + c[i].Inactive + '")';
                    if (i < c.length - 1) {
                        sql = sql + ',';
                    }
                }
                else if (c[i].S == 'new' && version != "0") {
                    sqlold = sqlold + '(' + c[i].id + ',"' + c[i].event_name + '","' + c[i].description + '","' + c[i].event_date + '","' + c[i].Inactive + '")';
                    if (i < c.length - 1) {
                        sqlold = sqlold + ',';
                    }
                }
                else if (c[i].S == 'updated') {
                    this.db.executeSql(sqlUpdate, [c[i].event_name, c[i].description, c[i].event_date, c[i].Inactive, c[i].id]);
                }
                else if (c[i].S == 'deleted') {
                    this.db.executeSql(sqlDelete, [c[i].id]);
                }
            }
            if (version == '0') {
                this.db.executeSql(sql, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Events" + JSON.stringify(d)); });
            }
            if (sqlold != 'insert into events(id,event_name,description,event_date,inactive) VALUES ') {
                this.db.executeSql(sqlold, []).then(function (d) { console.log("success" + JSON.stringify(d)); }).catch(function (d) { console.log("Events" + JSON.stringify(d)); });
            }
        }
    };
    DatabaseServices = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* Injectable */])(), 
        __metadata('design:paramtypes', [])
    ], DatabaseServices);
    return DatabaseServices;
}());
//# sourceMappingURL=databaseservices.js.map

/***/ }),

/***/ 506:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__checkupdates_checkupdate__ = __webpack_require__(507);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "c", function() { return __WEBPACK_IMPORTED_MODULE_0__checkupdates_checkupdate__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__home_home__ = __webpack_require__(32);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "i", function() { return __WEBPACK_IMPORTED_MODULE_1__home_home__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__share_share__ = __webpack_require__(512);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "n", function() { return __WEBPACK_IMPORTED_MODULE_2__share_share__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__parent_parent__ = __webpack_require__(508);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "j", function() { return __WEBPACK_IMPORTED_MODULE_3__parent_parent__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__registration_registration__ = __webpack_require__(678);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__profile_profile__ = __webpack_require__(241);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "l", function() { return __WEBPACK_IMPORTED_MODULE_5__profile_profile__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__calendar_calendar__ = __webpack_require__(509);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_6__calendar_calendar__["a"]; });
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "f", function() { return __WEBPACK_IMPORTED_MODULE_6__calendar_calendar__["b"]; });
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "k", function() { return __WEBPACK_IMPORTED_MODULE_6__calendar_calendar__["c"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__calendar_holidaydetails__ = __webpack_require__(510);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "g", function() { return __WEBPACK_IMPORTED_MODULE_7__calendar_holidaydetails__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__calendar_holidaytype__ = __webpack_require__(242);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "h", function() { return __WEBPACK_IMPORTED_MODULE_8__calendar_holidaytype__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__contents_contents__ = __webpack_require__(511);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "e", function() { return __WEBPACK_IMPORTED_MODULE_9__contents_contents__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__contactus_contactus__ = __webpack_require__(679);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "d", function() { return __WEBPACK_IMPORTED_MODULE_10__contactus_contactus__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__rateus_rateus__ = __webpack_require__(680);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "m", function() { return __WEBPACK_IMPORTED_MODULE_11__rateus_rateus__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__aboutus_aboutus__ = __webpack_require__(681);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_12__aboutus_aboutus__["a"]; });













//# sourceMappingURL=index.js.map

/***/ }),

/***/ 507:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Checkupdate; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__home_home__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_native__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var Checkupdate = (function () {
    function Checkupdate(navCtrl, loadingCtrl, db, connectivityserve, navParams, importservice) {
        this.navCtrl = navCtrl;
        this.loadingCtrl = loadingCtrl;
        this.db = db;
        this.connectivityserve = connectivityserve;
        this.navParams = navParams;
        this.importservice = importservice;
        this.isFirstTime = false;
        if (this.navParams.get("id") == "update") {
            this.isFirstTime = true;
            this.firefirsttime();
        }
        if (this.navParams.get("id") == "autoupdate") {
            this.autoUpateversion();
        }
        this.isOnline = connectivityserve.isOnline();
        this.getCurrentVersion();
        __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
            .then(function () {
            // console.log('Google analytics is ready now');
            //the component is ready and you can call any method here
            __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].trackView('Checkupdate');
        })
            .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
    }
    Checkupdate.prototype.firefirsttime = function () {
        if (this.isFirstTime) {
            var loadingPopup = this.loadingCtrl.create({ content: "Contacts will be downloaded and will take 2 or3 Mins depending on your network." });
            loadingPopup.present();
            this.updateData();
            setTimeout(function () {
                loadingPopup.dismiss();
            }, 2000);
        }
    };
    ///get local version from sql lite;
    Checkupdate.prototype.getCurrentVersion = function () {
        var _this = this;
        this.db.getLocalCurrentVersion().then(function (data) {
            if (data.rows.length > 0) {
                _this.currentVersion = data.rows.item(0).versionNumber;
            }
        }).then(function (data) { _this.getLatestVersionfromServer(); });
    };
    ///get version from server;
    Checkupdate.prototype.getLatestVersionfromServer = function () {
        var _this = this;
        if (this.isOnline) {
            this.importservice.getServerVersion().then(function (data) {
                _this.latestVersion = _this.importservice.ServerVersion;
            });
        }
        else {
            this.latestVersion = "OOPS!!! No Internet Connectivity.";
        }
    };
    Checkupdate.prototype.tuncateDatabase = function () {
        this.db.truncatedb();
    };
    Checkupdate.prototype.updateData = function () {
        var _this = this;
        this.tuncateDatabase();
        this.getLatestVersionfromServer();
        this.importservice.getLocalVersion().then(function (d) {
            _this.importservice.currentVersion = '0';
            var loadingPopup = _this.loadingCtrl.create({ content: "We are downloading the data please wait!!!" });
            loadingPopup.present();
            _this.importservice.getCategories().then(function (d) {
                _this.db.insertintoVersion(_this.importservice.ServerVersion, 'categories', _this.importservice.DatabaseVersion);
            });
            _this.importservice.getContacts().then(function (d) {
                _this.db.insertintoVersion(_this.importservice.ServerVersion, 'contacts', _this.importservice.DatabaseVersion);
                _this.getCurrentVersion();
                loadingPopup.dismiss();
            });
            _this.importservice.getAssociate().then(function (d) {
                _this.db.insertintoVersion(_this.importservice.ServerVersion, 'associatetable', _this.importservice.DatabaseVersion);
                if (_this.isFirstTime) {
                    _this.isFirstTime = false;
                    _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_1__home_home__["a" /* HomePage */]);
                }
            });
            _this.importservice.getHolidays();
            //this.importservice.getEvents();
            _this.importservice.getContents();
        });
    };
    Checkupdate.prototype.autoUpateversion = function () {
        var _this = this;
        this.tuncateDatabase();
        this.getLatestVersionfromServer();
        this.importservice.getLocalVersion().then(function (d) {
            _this.importservice.currentVersion = '0';
            var loadingPopup = _this.loadingCtrl.create({ content: "We are downloading the data please wait!!!" });
            loadingPopup.present();
            _this.importservice.getCategories().then(function (d) {
                _this.db.insertintoVersion(_this.importservice.ServerVersion, 'categories', _this.importservice.DatabaseVersion);
            });
            _this.importservice.getContacts().then(function (d) {
                _this.db.insertintoVersion(_this.importservice.ServerVersion, 'contacts', _this.importservice.DatabaseVersion);
                loadingPopup.dismiss();
                _this.getCurrentVersion();
            });
            _this.importservice.getAssociate().then(function (d) {
                _this.db.insertintoVersion(_this.importservice.ServerVersion, 'associatetable', _this.importservice.DatabaseVersion);
                _this.isFirstTime = false;
                _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_1__home_home__["a" /* HomePage */]);
            });
            _this.importservice.getHolidays();
            // this.importservice.getEvents();
            _this.importservice.getContents();
        });
    };
    Checkupdate.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_1__home_home__["a" /* HomePage */]);
    };
    Checkupdate = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-checkupdate',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/checkupdates/checkupdate.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n  \n\n    \n\n       	 <ion-title style="width:250px;text-overflow:ellipsis;">TRS DIARY</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <div *ngIf="!isOnline" >\n\n   <h3 style="font-size:18px !important;text-align:center;">PLEASE CONNECT TO THE NETWORK FOR UPDATES!</h3>\n\n  </div>\n\n<div *ngIf="isOnline && (currentVersion == latestVersion)" >  \n\n   <h3 style="font-size:18px !important;text-align:center;">YOU ARE HAVING LATEST VERSION!!!</h3> \n\n</div> \n\n<div *ngIf="isOnline && currentVersion != latestVersion" >\n\n  <h3 style="font-size:18px !important;text-align:center;">LATEST VESRION IS AVAILABLE.</h3> \n\n</div>\n\n<br>\n\n   <p>CURRENT DATA VERSION:<b> {{currentVersion}}</b> <br>SERVER DATA VERSION:<b>{{latestVersion}}</b></p>  \n\n   <div>\n\n  <!--<button ion-button  (click)="tuncateDatabase()"> Truncate </button>-->\n\n</div>\n\n<!-- <div *ngIf="isOnline && currentVersion < latestVersion"  >\n\n  <button ion-button  (click)="updateData()"> UPDATE </button>\n\n</div> -->\n\n\n\n<!-- <ion-row text-center>\n\n    <ion-col>\n\n        <button *ngIf="isOnline && currentVersion < latestVersion"  ion-button (click)="updateData()">UPDATE</button>\n\n    </ion-col>\n\n</ion-row> -->\n\n\n\n<ion-row text-center>\n\n  <ion-col>\n\n      <button ion-button (click)="updateData()">REFRESH DATA</button>\n\n  </ion-col>\n\n</ion-row>\n\n\n\n\n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n    POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/checkupdates/checkupdate.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_3__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_3__services_index__["a" /* ConnectivityService */], __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__services_index__["c" /* ImportService */]])
    ], Checkupdate);
    return Checkupdate;
}());
//# sourceMappingURL=checkupdate.js.map

/***/ }),

/***/ 508:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Parent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__profile_profile__ = __webpack_require__(241);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_native__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__home_home__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var Parent = (function () {
    //public parsonsCount="yes";
    function Parent(navCtrl, navParams, db, loadingCtrl, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.db = db;
        this.loadingCtrl = loadingCtrl;
        this.platform = platform;
        this.category = [];
        this.person = [];
        this.persons = [];
        this.queryText = "";
        this.flg = "";
        this.IsCat = "";
        this.sdatanotfound = "";
        this.iscontact = "";
        this.flg = "";
        this.iscontact = "";
        this.parentID = navParams.get("parentId");
        this.getCategoryDetails();
        this.getParentIdDetails();
        // this.loadPeople(0);
        //this.AdMobPro.removeAds();
        this.platform.ready().then(function () {
            __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
                .then(function () {
                console.log('Google analytics is ready now');
                //the component is ready and you can call any method here
                __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].trackView(_this.title);
            })
                .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
        });
    }
    Parent.prototype.getCategoryDetails = function () {
        var _this = this;
        this.db.GetCategoryByParentId(this.parentID).then(function (data) {
            if (data.rows.length > 0) {
                _this.IsCat = 'yes';
                for (var i = 0; i < data.rows.length; i++) {
                    _this.category.push(data.rows.item(i));
                }
            }
            else {
                // let loadingPopup = this.loadingCtrl.create({
                //   content: 'Loading data...'
                // });
                // Show the popup
                var loadingPopup = _this.loadingCtrl.create({ content: "Loading data..." });
                loadingPopup.present();
                _this.IsCat = '';
                _this.db.GetContactByCategoryId(_this.parentID, _this.start).then(function (data) {
                    // console.log(this.parentID);
                    loadingPopup.dismiss();
                    //loadingPopup.present();
                    _this.iscontact = "";
                    if (data.rows.length > 0) {
                        _this.iscontact = "";
                        for (var i = 0; i < data.rows.length; i++) {
                            _this.person.push(data.rows.item(i));
                        }
                    }
                    else {
                        _this.iscontact = "yes";
                    }
                }).catch(function (d) { JSON.stringify(d); });
            }
        });
    };
    Parent.prototype.itemTapped = function (item) {
        this.navCtrl.push(Parent, {
            parentId: item
        });
    };
    Parent.prototype.getParentIdDetails = function () {
        var _this = this;
        this.db.GetParentCategoryById(this.parentID).then(function (data) {
            _this.title = data.rows.item(0).name;
        });
    };
    Parent.prototype.getContactDetails = function (personId) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__profile_profile__["a" /* Profile */], { id: personId });
    };
    Parent.prototype.updateSchedule = function () {
        var _this = this;
        this.flg = "yes";
        this.sdatanotfound = "";
        if (this.queryText.trim() == '') {
            this.flg = "";
            this.persons = [];
        }
        else {
            // this.db.searchByCategory(this.queryText).then((d) => {
            //   if (d.rows.length > 0) {
            //     this.category = [];
            //     for (var i = 0; i < d.rows.length; i++) {
            //       this.category.push(d.rows.item(i));
            //     }
            //   }
            // }).catch(d => { console.log("Category Error :: " + JSON.stringify(d)) });
            this.db.searchByContactByCategoryID(this.queryText, this.parentID).then(function (d) {
                if (d.rows.length > 0) {
                    _this.flg = "yes";
                    _this.sdatanotfound = "";
                    _this.persons = [];
                    for (var i = 0; i < d.rows.length; i++) {
                        _this.persons.push(d.rows.item(i));
                    }
                }
                else {
                    _this.persons = [];
                    // this.parsonsCount='';
                    // this.persons.length =0;
                    _this.sdatanotfound = "yes";
                }
            }).catch(function (d) { console.log("Contact Error :: " + JSON.stringify(d)); });
        }
    };
    // loadPeople(start){
    //   this.db.GetContactByCategoryId(this.parentID,start).then((data)=>{ 
    //               console.log(this.parentID);
    //               if(data.rows.length>0){ 
    //                 for(var i =0;i<data.rows.length;i++){
    //                   this.person.push(data.rows.item(i));
    //                 }
    //               }
    //           }).catch(d=>{JSON.stringify(d)});
    // }
    // doInfinite(infiniteScroll:any) {
    //    console.log('doInfinite, start is currently '+this.start);
    //    console.log(JSON.stringify(infiniteScroll));
    //    this.start +=50;
    //    this.loadPeople(this.start);
    // }
    Parent.prototype.getParentCategory = function () {
        var _this = this;
        this.db.GetParentCategory().then(function (data) {
            _this.category = [];
            if (data.rows.length > 0) {
                for (var i = 0; i < data.rows.length; i++) {
                    _this.category.push(data.rows.item(i));
                }
            }
            else {
            }
        }).catch(function (d) { });
    };
    Parent.prototype.itemTappedContact = function (id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__profile_profile__["a" /* Profile */], { id: id });
    };
    Parent.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */]);
    };
    Parent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-parent',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/parent/parent.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title style="width:250px;text-overflow:ellipsis;">{{title | uppercase }}</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content> \n\n\n\n\n\n    <ion-searchbar color="primary" [(ngModel)]="queryText" (ionInput)="updateSchedule()" placeholder="Search" *ngIf=\'iscontact =="" && IsCat ==""  \'>\n\n    </ion-searchbar>\n\n  <ion-list >\n\n    <button ion-item *ngFor="let item of category" (click)="itemTapped(item.id)" icon-left>\n\n      <!--<ion-icon  item-left></ion-icon>-->\n\n      <!--<img src="assets/img/profile_photo/default_officer.png" style="width:50px;height:50px;border-radius:50%;vertical-align:middle !important;"/>-->\n\n      {{ item.name | uppercase }} {{item.isParent}}\n\n    \n\n      <ion-icon name="ios-arrow-forward" item-right></ion-icon>\n\n    </button>\n\n  </ion-list>\n\n\n\n  <ion-list  *ngIf=\'flg =="" \'>\n\n    <button ion-item *ngFor="let p of person" (click)="getContactDetails(p.id)" icon-left >\n\n      <!--<ion-icon  item-left></ion-icon>-->\n\n    <!--<ion-avatar item-left><img src="assets/img/profile_photo/default_officer.png"/></ion-avatar>-->\n\n    <h2 style="font-size:14px !important;">{{ p.name | uppercase }}</h2>\n\n    <p style="margin-left:-60px;font-size:10px !important;">{{ p.job_title | uppercase}}</p>\n\n   <ion-icon name="ios-arrow-forward-outline" item-right></ion-icon>\n\n <!--{{p.job_title}}-->\n\n    </button>\n\n   \n\n  </ion-list>\n\n\n\n\n\n   <ion-list  *ngIf=\'iscontact =="yes" \'>\n\n      <ion-label style="text-align:center;font-weight:600;">DATA NOT AVAILABLE.</ion-label>\n\n   \n\n   \n\n  </ion-list>\n\n\n\n\n\n\n\n\n\n    <ion-list *ngIf=\'sdatanotfound =="" \'> \n\n    <button ion-item *ngFor="let pe of persons" (click)="itemTappedContact(pe.id)" icon-left >\n\n      <!--<ion-avatar item-left><img src="assets/img/profile_photo/default_officer.png"/></ion-avatar>-->\n\n       <h2 style="font-size:14px !important;">{{ pe.name | uppercase}}</h2>\n\n       <p style="margin-left:-60px;font-size:10px !important;"> {{ pe.job_title |uppercase}}</p>\n\n       <ion-icon name="ios-arrow-forward-outline" item-right></ion-icon>\n\n    </button>\n\n  </ion-list>\n\n\n\n\n\n   <ion-list *ngIf=\'sdatanotfound =="yes"\'> \n\n    <ion-label style="text-align:center;font-weight:600;">RESULT NOT FOUND!!!</ion-label>\n\n  </ion-list>\n\n\n\n\n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n     POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/parent/parent.html"*/,
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */]])
    ], Parent);
    return Parent;
}());
//# sourceMappingURL=parent.js.map

/***/ }),

/***/ 509:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return CreateEvent; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return PopoverPage; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Calendar; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__holidaytype__ = __webpack_require__(242);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__services__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_Subject__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_Subject___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_Subject__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var CreateEvent = (function () {
    function CreateEvent() {
        this._subject = new __WEBPACK_IMPORTED_MODULE_5_rxjs_Subject__["Subject"]();
    }
    CreateEvent.prototype.newEvent = function (event) {
        this._subject.next(event);
    };
    Object.defineProperty(CreateEvent.prototype, "events$", {
        get: function () {
            return this._subject.asObservable();
        },
        enumerable: true,
        configurable: true
    });
    return CreateEvent;
}());
var totalEvents = [];
var PopoverPage = (function () {
    function PopoverPage(viewCtrl, customEvent) {
        this.viewCtrl = viewCtrl;
        this.customEvent = customEvent;
        this.eventTitle = "";
        this.isAllDayEvent = false;
        // console.log(viewCtrl);
    }
    PopoverPage.prototype.add = function () {
        var event = {
            title: this.eventTitle,
            allDay: this.isAllDayEvent,
            startTime: new Date(this.eventStartDate),
            endTime: new Date(this.eventEndDate)
        };
        totalEvents.push(event);
        this.customEvent.newEvent(event);
        this.viewCtrl.dismiss();
    };
    PopoverPage.prototype.close = function () {
        this.viewCtrl.dismiss();
    };
    PopoverPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            template: "\n<ion-list>\n   <ion-list-header>Add Event</ion-list-header>\n   <input type=\"text\" placeholder=\"Enter Event Title\" [(ngModel)]=\"eventTitle\"/>\n   <input type=\"date\" placeholder=\"Enter Start Date\" [(ngModel)]=\"eventStartDate\"/>\n   <input type=\"date\" placeholder=\"Enter End Date\" [(ngModel)]=\"eventEndDate\"/>\n   <input type=\"checkbox\" [(ngModel)]=\"isAllDayEvent\"/><span>all day Event</span>\n   <button  (click)=\"add()\">Add</button>\n   <button  (click)=\"close()\">close</button>\n</ion-list>\n"
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ViewController */], CreateEvent])
    ], PopoverPage);
    return PopoverPage;
}());
var Calendar = (function () {
    function Calendar(navController, db, popoverCtrl, customEvent) {
        this.navController = navController;
        this.db = db;
        this.popoverCtrl = popoverCtrl;
        this.customEvent = customEvent;
        this.eventSource = [];
        this.calendar = {
            mode: 'month',
            currentDate: new Date()
        };
        this.markDisabled = function (date) {
            var current = new Date();
            current.setHours(0, 0, 0);
            return date < current;
        };
        //  this.loadEvents(); 
    }
    Calendar.prototype.ngOnInit = function () {
        var _this = this;
        // this.customEvent.events$.forEach(event => console.log(event));
        this.customEvent.events$.forEach(function (event) { return _this.onEventAdded(event); });
    };
    Calendar.prototype.onViewTitleChanged = function (title) {
        this.viewTitle = title;
    };
    Calendar.prototype.onEventSelected = function (event) {
        //console.log('Event selected:' + event.startTime + '-' + event.endTime + ',' + event.title);
    };
    Calendar.prototype.changeMode = function (mode) {
        this.calendar.mode = mode;
    };
    Calendar.prototype.today = function () {
        this.calendar.currentDate = new Date();
    };
    Calendar.prototype.onTimeSelected = function (ev) {
        console.log('Selected time: ' + ev.selectedTime + ', hasEvents: ' +
            (ev.events !== undefined && ev.events.length !== 0) + ', disabled: ' + ev.disabled);
        this.daySelected = ev.selectedTime;
    };
    Calendar.prototype.onCurrentDateChanged = function (event) {
        var today = new Date();
        today.setHours(0, 0, 0, 0);
        event.setHours(0, 0, 0, 0);
        this.isToday = today.getTime() === event.getTime();
    };
    Calendar.prototype.reloadSource = function (ev) {
        console.log('end date' + ev.startTime + ' end ' + ev.endTime);
    };
    Calendar.prototype.loadEvents = function () {
        var events = [];
        this.db.GetHolidayList().then(function (data) {
            if (data.rows.length > 0) {
                for (var i = 0; i < data.rows.length; i++) {
                    events.push({
                        title: data[i].name,
                        startTime: data[i].holiday_date,
                        endTime: data[i].holiday_date,
                        allDay: false
                    });
                }
            }
        });
        //  for (var i = 0; i < 50; i += 1) {
        //     var date = new Date();
        //     var eventType = Math.floor(Math.random() * 2);
        //     var startDay = Math.floor(Math.random() * 90) - 45;
        //     var endDay = Math.floor(Math.random() * 2) + startDay;
        //     var startTime;
        //     var endTime;
        //     if (eventType === 0) {
        //         startTime = new Date(Date.UTC(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate() + startDay));
        //         if (endDay === startDay) {
        //             endDay += 1;
        //         }
        //         endTime = new Date(Date.UTC(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate() + endDay));
        //         events.push({
        //             title: 'All Day - ' + i,
        //             startTime: startTime,
        //             endTime: endTime,
        //             allDay: true
        //         });
        //     } else {
        //         var startMinute = Math.floor(Math.random() * 24 * 60);
        //         var endMinute = Math.floor(Math.random() * 180) + startMinute;
        //         startTime = new Date(date.getFullYear(), date.getMonth(), date.getDate() + startDay, 0, date.getMinutes() + startMinute);
        //         endTime = new Date(date.getFullYear(), date.getMonth(), date.getDate() + endDay, 0, date.getMinutes() + endMinute);
        //         events.push({
        //             title: 'Event - ' + i,
        //             startTime: startTime,
        //             endTime: endTime,
        //             allDay: false
        //         });
        //     }
        // }
        alert(JSON.stringify(events));
        return events;
    };
    Calendar.prototype.onRangeChanged = function (ev) {
        console.log('range changed: startTime: ' + ev.startTime + ', endTime: ' + ev.endTime);
    };
    Calendar.prototype.getHolidayTypes = function () {
        this.navController.push(__WEBPACK_IMPORTED_MODULE_2__holidaytype__["a" /* Holidaytype */]);
    };
    Calendar.prototype.goToHomepage = function () {
        this.navController.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    Calendar.prototype.onEventAdded = function (event) {
        // this.eventSource.push(event);
        //  this.eventSource =Array.from(this.eventSource);
        console.log(this.eventSource);
        this.eventSource.push(event);
        this.eventSource = Array.from(this.eventSource);
    };
    Calendar.prototype.addEvent = function (myEvent) {
        //this.loadEvents();
        var popover = this.popoverCtrl.create(PopoverPage);
        popover.present();
        // this.eventSource.push({"title":"All Day - 0","startTime":this.daySelected,"endTime":this.daySelected,"allDay":true});
        //    this.eventSource =Array.from(this.eventSource);
    };
    Calendar = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-calendar',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/calendar/calendar.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n  	 <ion-title style="width:250px;text-overflow:ellipsis;">TRS DIARY</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n \n\n  </ion-navbar>\n\n</ion-header>\n\n \n\n<ion-content padding> \n\n      <button ion-button block (click)="getHolidayTypes()"> HOLIDAY </button>\n\n  <calendar [eventSource]="eventSource"\n\n        [calendarMode]="calendar.mode"\n\n        [currentDate]="calendar.currentDate" \n\n        (onCurrectDateChanged)="onCurrentDateChanged($event)" \n\n        (onRangeChanged)="onRangeChanged($event)"\n\n        (onEventSelected)="onEventSelected($event)"\n\n        (onTitleChanged)="onViewTitleChanged($event)"\n\n        (onTimeSelected)="onTimeSelected($event)"\n\n        step="30">\n\n      </calendar>\n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n     POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/calendar/calendar.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_4__services__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* PopoverController */], CreateEvent])
    ], Calendar);
    return Calendar;
}());
//# sourceMappingURL=calendar.js.map

/***/ }),

/***/ 510:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Holidaydetails; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var Holidaydetails = (function () {
    function Holidaydetails(navCtrl, navParams, db) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.db = db;
        this.holidayList = [];
        this.holidayTitle = '';
        this.holidayTypeId = navParams.get("id");
        // console.log(this.holidayTypeId); 
        this.getHolidayList();
        // console.log('saroj');
        this.getHolidayTitle();
    }
    Holidaydetails.prototype.getHolidayList = function () {
        var _this = this;
        this.db.GetHolidayByTypeId(this.holidayTypeId).then(function (data) {
            // console.log(data);
            if (data.rows.length > 0) {
                //console.log(data.rows.item(i));
                for (var i = 0; i < data.rows.length; i++) {
                    _this.holidayList.push(data.rows.item(i));
                }
            }
        });
    };
    Holidaydetails.prototype.getHolidayTitle = function () {
        //   this.db.GetHolidayTypeTitleByID(this.holidayTypeId).then((data)=>{
        //       if(data.rows.length>0){
        //           this.holidayTitle= data.rows.item(0);
        //       }
        //   })
        //console.log(this.holidayTypeId);
        //alert(this.holidayTypeId);
        if (this.holidayTypeId == 3) {
            this.holidayTitle = "General Holiday";
        }
        else {
            this.holidayTitle = "Optional Holiday";
        }
    };
    Holidaydetails.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    Holidaydetails = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-holidaydetails',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/calendar/holidaydetails.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n  \n\n       	 <ion-title style="width:250px;text-overflow:ellipsis;">{{holidayTitle | uppercase }}</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n    \n\n  </ion-navbar> \n\n</ion-header>\n\n\n\n<ion-content padding> \n\n  <ion-list>\n\n    <button ion-item *ngFor="let item of holidayList" icon-left>\n\n      <!--<ion-icon  item-left></ion-icon>-->\n\n      {{ item.name | uppercase }}    (     {{item.holiday_date}}  )\n\n    </button>\n\n  </ion-list> \n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n     POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/calendar/holidaydetails.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */]])
    ], Holidaydetails);
    return Holidaydetails;
}());
//# sourceMappingURL=holidaydetails.js.map

/***/ }),

/***/ 511:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Contents; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_native__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var Contents = (function () {
    function Contents(navCtrl, db, navParams, imports) {
        this.navCtrl = navCtrl;
        this.db = db;
        this.navParams = navParams;
        this.imports = imports;
        //  this.db.getAll().then(data=>this.persons= data);
        this.contactID = navParams.get("id");
        this.getPageContents();
        __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
            .then(function () {
            // console.log('Google analytics is ready now');
            //the component is ready and you can call any method here
            __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].trackView('Contents');
        })
            .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
    }
    Contents.prototype.getPageContents = function () {
        var _this = this;
        this.db.GetpageContentByID(this.contactID).then(function (data) {
            // console.log(this.contactID);
            // console.log(JSON.stringify(data));
            if (data.rows.length > 0) {
                var p = data.rows.item(0);
                //  console.log(JSON.stringify(p));
                _this.contents = p.content;
                _this.title1 = p.title;
            }
        });
    };
    Contents.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    Contents = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-contents',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/contents/contents.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n   \n\n\n\n    	 <ion-title style="width:250px;text-overflow:ellipsis;">{{title1 | uppercase}}</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content> \n\n\n\n<!--<div [innerHTML]> {{contents}}</div>-->\n\n<!--<p innerHtml ="{{contents}}" style="width:100% !important;"></p> -->\n\n<ion-row>\n\n    <ion-col width-100>\n\n       <div innerHtml ="{{contents}}"  style="width: 100%; min-height: 100%;text-align:justify;">    \n\n      </div>\n\n    </ion-col>\n\n</ion-row>\n\n \n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n     POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/contents/contents.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__services_index__["c" /* ImportService */]])
    ], Contents);
    return Contents;
}());
//# sourceMappingURL=contents.js.map

/***/ }),

/***/ 512:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Share; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_native__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var Share = (function () {
    function Share(navCtrl) {
        this.navCtrl = navCtrl;
        __WEBPACK_IMPORTED_MODULE_2_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
            .then(function () {
            //  console.log('Google analytics is ready now');
            //the component is ready and you can call any method here
            __WEBPACK_IMPORTED_MODULE_2_ionic_native__["c" /* GoogleAnalytics */].trackView('Share');
        })
            .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
    }
    /* social share  start */
    Share.prototype.whatsappShare = function () {
        __WEBPACK_IMPORTED_MODULE_2_ionic_native__["f" /* SocialSharing */].shareViaWhatsApp("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Image*/, "Link to the Play Store" /* url */)
            .then(function () {
            // alert("Success");
        }, function () {
            // alert("failed")
        });
    };
    Share.prototype.twitterShare = function () {
        __WEBPACK_IMPORTED_MODULE_2_ionic_native__["f" /* SocialSharing */].shareViaTwitter("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Image*/, "Link to the Play Store")
            .then(function () {
            // alert("Success");
        }, function () {
            //alert("failed")
        });
    };
    Share.prototype.facebookShare = function () {
        __WEBPACK_IMPORTED_MODULE_2_ionic_native__["f" /* SocialSharing */].shareViaFacebook("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Image*/, "Link to the Play Store")
            .then(function () {
            //alert("Success");
        }, function () {
            //alert("failed")
        });
    };
    Share.prototype.otherShare = function () {
        __WEBPACK_IMPORTED_MODULE_2_ionic_native__["f" /* SocialSharing */].share("https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy", null /*Subject*/, null /*File*/, "Link to the Play Store")
            .then(function () {
            //alert("Success");
        }, function () {
            //alert("failed")
        });
    };
    /* social share  END */
    Share.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    Share = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-share',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/share/share.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n  	 <ion-title style="width:250px;text-overflow:ellipsis;">TRS Diary</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <h3 style="font-size:1.2em;text-align:center;">Share with your friends on social media</h3> \n\n  \n\n    <!--<ion-icon ios="logo-whatsapp" md="logo-whatsapp" (click)="whatsappShare()"></ion-icon>\n\n    <ion-icon ios="logo-twitter" md="logo-twitter" (click)="twitterShare()"></ion-icon>\n\n    <ion-icon ios="logo-facebook" md="logo-facebook" (click)="facebookShare()"></ion-icon>\n\n \n\n  <ion-icon ios="ios-apps" md="md-apps" (click)="otherShare()"></ion-icon>-->\n\n  <ion-row wrap padding>\n\n    <ion-col width-33 style="text-align:center;color:#19a004;"><ion-icon name="logo-whatsapp" (click)="whatsappShare()" style="font-size:60px;"></ion-icon></ion-col>\n\n    <ion-col width-33 style="text-align:center;color:#30c7ff;"><ion-icon name="logo-twitter" (click)="twitterShare()" style="font-size:60px;">\n\n      </ion-icon></ion-col>\n\n    <ion-col width-33 style="text-align:center;color:#076082;" (click)="facebookShare()"><ion-icon name="logo-facebook" style="font-size:60px;"></ion-icon></ion-col>\n\n  </ion-row>\n\n  <ion-row wrap>\n\n<ion-col width-33 style="text-align:center;" (click)="otherShare()"><ion-icon name="apps" style="font-size:60px;"></ion-icon></ion-col>\n\n  </ion-row>\n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n     Powered by <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">Launchship</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/share/share.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */]])
    ], Share);
    return Share;
}());
//# sourceMappingURL=share.js.map

/***/ }),

/***/ 537:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser_dynamic__ = __webpack_require__(569);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_module__ = __webpack_require__(631);



Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_22" /* enableProdMode */])();
Object(__WEBPACK_IMPORTED_MODULE_1__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_2__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 631:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_image_loader__ = __webpack_require__(669);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(675);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages__ = __webpack_require__(506);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic2_calendar__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ionic_native__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__capitalize_pipe__ = __webpack_require__(967);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Q" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages__["i" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_4__pages__["n" /* Share */],
                __WEBPACK_IMPORTED_MODULE_4__pages__["c" /* Checkupdate */], __WEBPACK_IMPORTED_MODULE_4__pages__["l" /* Profile */], __WEBPACK_IMPORTED_MODULE_4__pages__["j" /* Parent */], __WEBPACK_IMPORTED_MODULE_4__pages__["b" /* Calendar */], __WEBPACK_IMPORTED_MODULE_4__pages__["h" /* Holidaytype */], __WEBPACK_IMPORTED_MODULE_4__pages__["g" /* Holidaydetails */], __WEBPACK_IMPORTED_MODULE_4__pages__["e" /* Contents */], __WEBPACK_IMPORTED_MODULE_4__pages__["d" /* Contactus */], __WEBPACK_IMPORTED_MODULE_4__pages__["m" /* Rateus */], __WEBPACK_IMPORTED_MODULE_4__pages__["a" /* Aboutus */], __WEBPACK_IMPORTED_MODULE_8__capitalize_pipe__["a" /* CapitalizePipe */], __WEBPACK_IMPORTED_MODULE_4__pages__["k" /* PopoverPage */] //,ImgCacheComponent
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_6_ionic2_calendar__["a" /* NgCalendarModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_image_loader__["a" /* IonicImageLoader */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {}, {
                    links: []
                })
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages__["i" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_4__pages__["n" /* Share */],
                __WEBPACK_IMPORTED_MODULE_4__pages__["c" /* Checkupdate */], __WEBPACK_IMPORTED_MODULE_4__pages__["l" /* Profile */], __WEBPACK_IMPORTED_MODULE_4__pages__["j" /* Parent */], __WEBPACK_IMPORTED_MODULE_4__pages__["b" /* Calendar */], __WEBPACK_IMPORTED_MODULE_4__pages__["h" /* Holidaytype */], __WEBPACK_IMPORTED_MODULE_4__pages__["g" /* Holidaydetails */], __WEBPACK_IMPORTED_MODULE_4__pages__["e" /* Contents */], __WEBPACK_IMPORTED_MODULE_4__pages__["d" /* Contactus */], __WEBPACK_IMPORTED_MODULE_4__pages__["m" /* Rateus */], __WEBPACK_IMPORTED_MODULE_4__pages__["a" /* Aboutus */], __WEBPACK_IMPORTED_MODULE_4__pages__["k" /* PopoverPage */]
            ],
            providers: [{ provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["C" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* IonicErrorHandler */] }, __WEBPACK_IMPORTED_MODULE_5__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_5__services_index__["c" /* ImportService */], __WEBPACK_IMPORTED_MODULE_5__services_index__["a" /* ConnectivityService */], __WEBPACK_IMPORTED_MODULE_4__pages__["f" /* CreateEvent */], __WEBPACK_IMPORTED_MODULE_7_ionic_native__["e" /* SQLite */]]
        }), 
        __metadata('design:paramtypes', [])
    ], AppModule);
    return AppModule;
}());
//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 675:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_native__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__services__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages__ = __webpack_require__(506);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






// import ImgCache  from 'imgcache.js';
//import {GoogleAnalytics} from 'ionic-native';
//import { CapitalizePipe } from './capitalize.pipe';
var MyApp = (function () {
    function MyApp(platform, databaseService) {
        var _this = this;
        this.platform = platform;
        this.databaseService = databaseService;
        platform.ready().then(function () {
            __WEBPACK_IMPORTED_MODULE_2_ionic_native__["g" /* Splashscreen */].hide();
            __WEBPACK_IMPORTED_MODULE_2_ionic_native__["h" /* StatusBar */].backgroundColorByHexString("#e12e82");
            __WEBPACK_IMPORTED_MODULE_2_ionic_native__["h" /* StatusBar */].show();
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            __WEBPACK_IMPORTED_MODULE_2_ionic_native__["a" /* BackgroundMode */].enable();
            // GoogleAnalytics.startTrackerWithId("UA-56817974-2");
            // ImgCache.options.debug = true;
            // page is set until img cache has started
            // ImgCache.init(()=>{alert("loading image cache")},(error)=>{alert("loading issue ;"+error)});
            // alert(-1);
            if (!_this.isDbopen) {
                //console.log("databaseService.openDatabase()");
                //  databaseService.openDatabase();
                databaseService.openDatabase().then(function () {
                    // console.log(databaseService);
                    databaseService.createTable().then(function () {
                        //  console.log(databaseService);
                        //  databaseService.createData().then(()=>{
                        _this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages__["i" /* HomePage */];
                        //this.isDbopen:true;
                        //  },(error)=>{alert(error)})
                    }, function (error) { alert(error); });
                }, onerror);
            }
            else {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages__["i" /* HomePage */];
            }
        });
        ;
        this.pages = [
            // { title: 'Home', component: HomePage },
            // { title: 'Share & Refer', component: Share },
            // { title: 'Updates', component: Checkupdate },
            // {title:'Calendar',component:Calendar}
            { title: 'Home', component: __WEBPACK_IMPORTED_MODULE_4__pages__["i" /* HomePage */], item: 'ios-person-outline' },
            //  { title: 'Feedback', component: Share },
            { title: 'Check for updates', component: __WEBPACK_IMPORTED_MODULE_4__pages__["c" /* Checkupdate */], item: 'ios-sync-outline' },
            { title: 'Rate us', component: __WEBPACK_IMPORTED_MODULE_4__pages__["m" /* Rateus */], item: 'ios-star-outline' },
            { title: 'Contact us', component: __WEBPACK_IMPORTED_MODULE_4__pages__["d" /* Contactus */], item: 'ios-call-outline' },
            //{ title: 'Refer to Friend', component: Share,item:'ios-person-add-outline' },
            { title: 'About TRS Diary', component: __WEBPACK_IMPORTED_MODULE_4__pages__["a" /* Aboutus */], item: 'ios-information-circle-outline' }
        ];
    }
    MyApp.prototype.openPage = function (page) {
        this.nav.setRoot(page.component);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_15" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */]), 
        __metadata('design:type', __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/app/app.html"*/'<ion-menu [content]="content">\n  <ion-header>\n<ion-toolbar>\n     <ion-title>TRS Diary</ion-title>\n     <!--<img src="assets/img/profile_photo/default_officer.png" width="120px" height="120px" style="border-radius: :50%;display:block;margin:0 auto;"/>\n     <ion-card-content style="display:block;margin:0 auto;">\n    <ion-card-title>K.Chandra Shekar Rao</ion-card-title>\n    <ion-label class="whiteText">Cheif Minister of Telangana</ion-label>\n    <ion-label class="whiteText">cm.telangana@gov.in</ion-label>\n   </ion-card-content>-->\n    </ion-toolbar>\n  \n  </ion-header>\n\n  <ion-content>\n    <ion-list>\n      <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)">\n        <ion-icon name="{{p.item}}" style="padding-right:10px"></ion-icon>{{p.title}}\n      </button>\n    </ion-list>\n  </ion-content>\n</ion-menu>\n<ion-nav [root]="rootPage" #content class="md"></ion-nav>\n<!--#content swipeBackEnabled="false"-->\n<!-- <ion-footer class="footer-bottom">\n     Powered by <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">Launchship</a>\n</ion-footer>\n\n<style>\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n</style> -->'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/app/app.html"*/,
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_3__services__["b" /* DatabaseServices */]])
    ], MyApp);
    return MyApp;
}());
//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 676:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ImportService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(330);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__databaseservices__ = __webpack_require__(504);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(505);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var ImportService = (function () {
    function ImportService(http, dbservice) {
        this.http = http;
        this.dbservice = dbservice;
        this.dataurl = "http://statediary.launchship.com/trsdairy/index.php/service/";
        // dataurl:string ="http://192.168.110.254:88/LSHP/bhaskar/trsdairy/index.php/service/";
        this.partyid = "2";
        this.currentVersion = "0";
        this.ServerVersion = "0";
        this.DatabaseVersion = "0";
        this.getLocalVersion();
    }
    ImportService.prototype.getLocalVersion = function () {
        var _this = this;
        return this.dbservice.getLocalCurrentVersion().then(function (data) {
            if (data.rows.length > 0) {
                //alert(JSON.stringify(data.rows.item(0)));
                _this.currentVersion = data.rows.item(0).serverVersion;
            }
        });
    };
    ImportService.prototype.getServerVersion = function () {
        var _this = this;
        return this.http.get(this.dataurl + "get_version" + '/' + this.partyid).map(this.extractData).forEach(function (val) {
            val.forEach(function (element) {
                _this.ServerVersion = element.last_version_id;
                _this.DatabaseVersion = element.id;
            });
        });
        ;
    };
    ImportService.prototype.getCategories = function () {
        var _this = this;
        //alert(this.currentVersion);
        return this.http.get(this.dataurl + "categories/" + this.currentVersion + '/' + this.partyid).map(this.extractData).forEach(function (val) {
            //   val.forEach(element => {
            _this.dbservice.insertUpdateDeleteCategories(val, _this.currentVersion);
            //    }); 
        });
    };
    ImportService.prototype.getContacts = function () {
        var _this = this;
        return this.http.get(this.dataurl + "contacts/" + this.currentVersion + '/' + this.partyid).map(this.extractData).forEach(function (val) {
            _this.dbservice.insertUpdateDeleteContact(val, _this.currentVersion);
        });
    };
    // getEvents(){
    //     return this.http.get(this.dataurl+`Events`).map(this.extractData).forEach(val=>{
    //         this.dbservice.insertUpdateDeleteEvents (val,this.currentVersion)
    //     }); 
    // }
    ImportService.prototype.getEvents = function () {
        var _this = this;
        console.log('GetCurrent:' + this.currentVersion);
        return this.http.get(this.dataurl + "event/" + this.currentVersion + '/' + this.partyid).map(this.extractData).forEach(function (val) {
            _this.dbservice.insertUpdateDeleteEvents(val, _this.currentVersion);
        });
    };
    ImportService.prototype.getHolidays = function () {
        var _this = this;
        return this.http.get(this.dataurl + "holidays/" + this.currentVersion + '/' + this.partyid).map(this.extractData).forEach(function (val) {
            _this.dbservice.insertUpdateDeleteHolidays(val, _this.currentVersion);
        });
    };
    ImportService.prototype.getAssociate = function () {
        var _this = this;
        return this.http.get(this.dataurl + "associate/" + this.currentVersion + '/' + this.partyid).map(this.extractData).forEach(function (val) {
            _this.dbservice.insertUpdateAssociation(val, _this.currentVersion);
        });
    };
    ImportService.prototype.getContents = function () {
        var _this = this;
        return this.http.get(this.dataurl + "contents/" + this.currentVersion + '/' + this.partyid).map(this.extractData).forEach(function (val) {
            // console.log(JSON.stringify(val));
            _this.dbservice.insertUpdateContents(val, _this.currentVersion);
        });
    };
    ImportService.prototype.extractData = function (res) {
        console.log("==============COMPLETE Data Download===================");
        return res.json() || {};
    };
    ImportService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* Injectable */])(), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_2__databaseservices__["a" /* DatabaseServices */]])
    ], ImportService);
    return ImportService;
}());
//# sourceMappingURL=importservices.js.map

/***/ }),

/***/ 677:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ConnectivityService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_native__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var ConnectivityService = (function () {
    function ConnectivityService(platform) {
        this.platform = platform;
        this.onDevice = this.platform.is('cordova');
    }
    ConnectivityService.prototype.isOnline = function () {
        if (this.onDevice && __WEBPACK_IMPORTED_MODULE_1_ionic_native__["d" /* Network */].connection) {
            return __WEBPACK_IMPORTED_MODULE_1_ionic_native__["d" /* Network */].connection !== Connection.NONE;
        }
        else {
            return navigator.onLine;
        }
    };
    ConnectivityService.prototype.isOffline = function () {
        if (this.onDevice && __WEBPACK_IMPORTED_MODULE_1_ionic_native__["d" /* Network */].connection) {
            return __WEBPACK_IMPORTED_MODULE_1_ionic_native__["d" /* Network */].connection === Connection.NONE;
        }
        else {
            return !navigator.onLine;
        }
    };
    ConnectivityService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* Injectable */])(), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* Platform */]])
    ], ConnectivityService);
    return ConnectivityService;
}());
//# sourceMappingURL=connectivityservice.js.map

/***/ }),

/***/ 678:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export Registration */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__home_home__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var Registration = (function () {
    function Registration(navCtrl) {
        this.navCtrl = navCtrl;
    }
    Registration.prototype.skip = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__home_home__["a" /* HomePage */]);
    };
    Registration = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-registration',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/registration/registration.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title>TRS Diary</ion-title>\n\n  </ion-navbar>\n\n <ion-navbar>\n\n       <button ion-button block (click)="skip()">SKIP >></button>\n\n  </ion-navbar> \n\n  \n\n</ion-header>\n\n<ion-content padding>\n\n    \n\n<ion-item>\n\n  <ion-label>Username</ion-label>\n\n  <ion-input type="text"></ion-input>\n\n</ion-item> \n\n\n\n<ion-item>\n\n  <ion-label floating>Email</ion-label>\n\n  <ion-input type="email"></ion-input>\n\n</ion-item>\n\n\n\n<ion-item>\n\n  <ion-label stacked>Phone</ion-label>\n\n  <ion-input type="tel"></ion-input>\n\n</ion-item>\n\n\n\n<ion-item>\n\n  <ion-label>Skip</ion-label>\n\n  <ion-checkbox></ion-checkbox>\n\n</ion-item>\n\n</ion-content>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/registration/registration.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */]])
    ], Registration);
    return Registration;
}());
//# sourceMappingURL=registration.js.map

/***/ }),

/***/ 679:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Contactus; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_native__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var Contactus = (function () {
    function Contactus(navCtrl, db, navParams, imports) {
        this.navCtrl = navCtrl;
        this.db = db;
        this.navParams = navParams;
        this.imports = imports;
        //  this.db.getAll().then(data=>this.persons= data);
        this.contactID = navParams.get("id");
        __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
            .then(function () {
            // console.log('Google analytics is ready now');
            //the component is ready and you can call any method here
            __WEBPACK_IMPORTED_MODULE_4_ionic_native__["c" /* GoogleAnalytics */].trackView('Contactus');
        })
            .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
        //this.getPageContents();
    }
    Contactus.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    Contactus = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-contactus',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/contactus/contactus.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n  		 <ion-title style="width:250px;text-overflow:ellipsis;">TRS DIARY</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n   <h3 style="text-align: center">FOR SUGGESTIONS & FEEDBACK</h3>\n\n<ion-card style="margin-left:10px;">\n\n\n\n  <img src="assets/images/contact_us.jpg">\n\n  <ion-item>\n\n    <ion-icon name="person" item-left small></ion-icon>\n\n    <h2>Y.SATHISH REDDY</h2>\n\n     <p style="margin-left:-57px !important; float:left;"> STATE YOUTH GENERAL SECRETARY<p>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-icon name="mail" item-left small ></ion-icon>\n\n    <h2>YSR@TRSDIARY.COM</h2>\n\n  </ion-item>\n\n\n\n  <ion-item>\n\n    <ion-icon name="phone-portrait" item-left small></ion-icon>\n\n      <h2>7893060777</h2>\n\n    <!--<button ion-button icon-left clear item-right>\n\n      <ion-icon name="navigate"></ion-icon>\n\n      Start\n\n    </button>-->\n\n  </ion-item>\n\n\n\n</ion-card>\n\n</ion-content>\n\n\n\n<ion-footer class="footer-bottom">\n\n     POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/contactus/contactus.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__services_index__["c" /* ImportService */]])
    ], Contactus);
    return Contactus;
}());
//# sourceMappingURL=contactus.js.map

/***/ }),

/***/ 680:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Rateus; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




// import { Person } from '../lib/index';
var Rateus = (function () {
    function Rateus(navCtrl, db, navParams, imports) {
        this.navCtrl = navCtrl;
        this.db = db;
        this.navParams = navParams;
        this.imports = imports;
        //  this.db.getAll().then(data=>this.persons= data);
        // this.contactID= navParams.get("id");    
        //this.getPageContents();
        window.location.href = 'https://play.google.com/store/apps/details?id=com.LaunchshipStudios.TRSDairy';
    }
    Rateus.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    Rateus = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-rateus',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/rateus/rateus.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n  		 <ion-title style="width:250px;text-overflow:ellipsis;">TRS DIARY</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content> \n\n<!--<div [innerHTML]> {{contents}}</div>-->\n\n<!--<p innerHtml ="{{contents}}" style="width:100% !important;"></p> -->\n\n<ion-row>\n\n    <ion-col width-90>\n\n        <div><b>Email:INFO@TRSDIARY.COM</b></div> \n\n    </ion-col>\n\n</ion-row>\n\n \n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n      POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/rateus/rateus.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__services_index__["c" /* ImportService */]])
    ], Rateus);
    return Rateus;
}());
//# sourceMappingURL=rateus.js.map

/***/ }),

/***/ 681:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Aboutus; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_index__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_native__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__home_home__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var Aboutus = (function () {
    function Aboutus(navCtrl, db, navParams, imports) {
        this.navCtrl = navCtrl;
        this.db = db;
        this.navParams = navParams;
        this.imports = imports;
        //  this.db.getAll().then(data=>this.persons= data);
        this.contactID = navParams.get("id");
        __WEBPACK_IMPORTED_MODULE_3_ionic_native__["c" /* GoogleAnalytics */].startTrackerWithId('UA-56817974-2')
            .then(function () {
            //console.log('Google analytics is ready now');
            //the component is ready and you can call any method here
            __WEBPACK_IMPORTED_MODULE_3_ionic_native__["c" /* GoogleAnalytics */].trackView('Aboutus');
        })
            .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
        //this.getPageContents();
    }
    Aboutus.prototype.facebook = function () {
        window.open("https://www.facebook.com/trsdiary/");
    };
    Aboutus.prototype.gplus = function () {
        window.open("https://plus.google.com/u/0/111347845074385536439");
    };
    Aboutus.prototype.website = function () {
        //window.open("http://trsdiary.com")
    };
    Aboutus.prototype.goToHomepage = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_4__home_home__["a" /* HomePage */]);
    };
    Aboutus = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* Component */])({
            selector: 'page-aboutus',template:/*ion-inline-start:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/aboutus/aboutus.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    	 <ion-title style="width:250px;text-overflow:ellipsis;">TRS DIARY</ion-title>\n\n    <ion-icon name="home" (click)="goToHomepage()"  style="float:right;margin: -40px 8px;color: #fff;font-size:30px;"></ion-icon>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content> \n\n<ion-row>\n\n    <ion-col width-100>\n\n        <div style="text-align:justify;">\n\n          <b>DESCRIPTION:</b>\n\n          <br><br>\n\n          <!--It has become very challenging now a days for the common people to reach the Telangana Government officials and Ministers to address their queries and concerns. This is a First of its kind Diary App containing the contact information of Ministers, officials, TRS party workers,Media and Emergency. The Phonebook has all the key contact information which has an inbuilt dialer feature to directly contact the person from the App itself. The Calendar feature has the facility to add events and reminders. Telangana History and information, Public and optional holidays are listed in the Calendar feature of the App.-->\n\n          IT HAS BECOME VERY CHALLENGING NOW A DAYS FOR THE COMMON PEOPLE TO REACH THE TELANGANA GOVERNMENT OFFICIALS AND MINISTERS TO ADDRESS THEIR QUERIES AND CONCERNS.THIS IS A FIRST OF ITS KIND DAIRY APP CONTAINING THE CONTACT INFORMATION OF MINISTERS,OFFICIALS,TRS PARTY WORKERS,MEDIA AND EMERGENCY.THE PHONEBOOK HAS ALL THE KEY CONTACT INFORMATION WITH INBUILT DIALER FEATURES TO DIRECTLY CONTACT THE PERSON FROM THE APP ITSELF.THE CALENDAR FEATURE HAS A FACILITY TO ADD EVENTS AND REMINDERS.TELANGANA HISTORY AND INFORMATION,PUBLIC AND OPTIONAL HOLIDAYS ARE LISTED IN THE CALENDAR FEATURE OF THE APP.\n\n                <br><br>\n\n          <b>FOLLOW US:</b>\n\n          <br><br>\n\n          FOLLOW US ON THE FOLLOWING PLATFORMS FOR OUR FUTURE APP UPDATES.\n\n          <br>\n\n          FOLLOW US ON  FACEBOOK:&nbsp;&nbsp;<span><ion-icon name="logo-facebook" style="color:#076082;font-size:22px;vertical-align:middle;"(click) = "facebook()"></ion-icon></span>\n\n         <br>\n\n\n\n           FOLLOW US ON  GOOGLE PLUS:&nbsp;&nbsp; <span><ion-icon name="logo-googleplus" style="color:#db1111;font-size:22px;vertical-align:middle;" (click) = "gplus()"></ion-icon></span>\n\n         <br>\n\n\n\n          WEBSITE:&nbsp;&nbsp;<span><ion-icon name="globe" style="color:#30c7ff;font-size:22px;vertical-align:middle;"(click) = "website()"></ion-icon></span>\n\n         <br>\n\n            <b>APP VERSION:</b><br><br>\n\n           V 3.2\n\n          <br><br>\n\n            <b>DATA VERSION:</b><br><br>\n\n           OFFLINE\n\n\n\n          \n\n\n\n          </div> \n\n    </ion-col>\n\n</ion-row>\n\n</ion-content>\n\n<ion-footer class="footer-bottom">\n\n     POWERED BY <a href="https://www.launchship.com/" target="_blank" style="color:#FFF !important; text-decoration:none;">LAUNCHSHIP</a>\n\n</ion-footer>\n\n\n\n<style>\n\n.footer-bottom {background: #ff6699;color: #fff;text-align: center;padding:0px;}\n\n</style>'/*ion-inline-end:"/var/www/html/23rdAug/TrsDiary/trsdiary_final/src/pages/aboutus/aboutus.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__services_index__["b" /* DatabaseServices */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__services_index__["c" /* ImportService */]])
    ], Aboutus);
    return Aboutus;
}());
//# sourceMappingURL=aboutus.js.map

/***/ }),

/***/ 686:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 967:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CapitalizePipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var CapitalizePipe = (function () {
    function CapitalizePipe() {
    }
    CapitalizePipe.prototype.transform = function (value) {
        if (value) {
            return value.charAt(0).toUpperCase() + value.substr(1).toLowerCase();
        }
        return value;
    };
    CapitalizePipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Y" /* Pipe */])({ name: 'capitalize' }), 
        __metadata('design:paramtypes', [])
    ], CapitalizePipe);
    return CapitalizePipe;
}());
//# sourceMappingURL=capitalize.pipe.js.map

/***/ })

},[537]);
//# sourceMappingURL=main.js.map